Issue 111449 - adapt qa/complex tests to new framework
Summary: adapt qa/complex tests to new framework
Status: CLOSED FIXED
Alias: None
Product: QA
Classification: Unclassified
Component: testscripts (show other issues)
Version: DEV300m77
Hardware: All All
: P3 Trivial
Target Milestone: 3.4.0
Assignee: Stephan Bergmann
QA Contact: issues@qa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-07 09:48 UTC by Stephan Bergmann
Modified: 2010-10-25 12:17 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2010-05-07 09:48:05 UTC
Similarly to <http://tools.services.openoffice.org/EIS2/cws.ShowCWS?Name=sb118>
adapting the qa/unoapi tests to the new test framework (see
<http://wiki.services.openoffice.org/wiki/Test_Cleanup>), also adapt the
qa/complex tests.

The general idea is to change the tests from complexlib.ComplextTestCase
instances driven by qadevOOo's org.openoffice.Runner to plain JUnit tests (using
org.openoffice.test.OfficeConnection) driven by the plain JUnit runner (via
solenv/inc/installationtest.mk).

Abandoned
<http://tools.services.openoffice.org/EIS2/cws.ShowCWS?Name=complextests01>
already set out to clean up the various qa/complex tests; that can be used as a
starting point here.
Comment 1 Stephan Bergmann 2010-05-07 10:19:23 UTC
adapted sw/qa/complex as
<http://hg.services.openoffice.org/cws/sb123/rev/6c93d0cde3b7>
Comment 2 mst.ooo 2010-05-12 10:54:38 UTC
@sb:
<http://hg.services.openoffice.org/cws/sb123/rev/6c93d0cde3b7>
should be rebased to the next master (m78); i think i've tweaked some test in
odfmetadata4.
Comment 3 Stephan Bergmann 2010-05-21 13:17:01 UTC
@lla: as discussed, please take over
Comment 4 Stephan Bergmann 2010-05-21 13:46:15 UTC
@lla: as discussed, please take over
Comment 5 lars.langhans 2010-06-03 11:34:17 UTC
lets work...
Comment 6 lars.langhans 2010-06-03 13:33:28 UTC
adapted sc/qa/complex as
http://hg.services.openoffice.org/cws/sb123/rev/66855b9467bb
Comment 7 lars.langhans 2010-07-06 12:56:36 UTC
target changed to 3.4
Comment 8 lars.langhans 2010-07-08 14:57:10 UTC
fixed
Comment 9 Stephan Bergmann 2010-07-12 09:16:06 UTC
On DEV300_m83, subsequenttests is known to fail for various reasons, see
<http://tools.openoffice.org/servlets/ReadMsg?list=tinderbox&msgNo=397>, so to
verify this issue I merged CWS sb123, based on DEV300_m83 and containing the fix
for this issue, into CWS sb127, based on DEV300_m84 and containing fixes or
work-arounds for all the known subsequenttests issues.  At least on unxsoli4
non-pro, the resulting subsequenttests repeatedly failed in
sot/qa/complex/olesimplestorage with

[...]
Test01: Stream 4 byte 7:  CORRECT.
Test01: Stream 4 byte 8:  CORRECT.
Test01: Stream 4 byte 9:  CORRECT.
Test01: All substreams contain correct data. SUCCESS.
after()
tearDownConnection()
sh:
/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../program/crashrep:
not found
Application Error
Fatal exception: Signal 6
Stack:
[...]
15551 Abort - core dumped
E
Time: 28.043
There was 1 failure:
1) complex.olesimplestorage.OLESimpleStorageUnitTest
java.lang.AssertionError: expected:<0> but was:<134>
        at org.junit.Assert.fail(Assert.java:91)
        at org.junit.Assert.failNotEquals(Assert.java:645)
        at org.junit.Assert.assertEquals(Assert.java:126)
        at org.junit.Assert.assertEquals(Assert.java:470)
        at org.junit.Assert.assertEquals(Assert.java:454)
        at org.openoffice.test.OfficeConnection.tearDown(OfficeConnection.java:133)
        at
complex.olesimplestorage.OLESimpleStorageUnitTest.tearDownConnection(OLESimpleStorageUnitTest.java:105)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:585)
        at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
        at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
        at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
        at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:37)
        at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
        at org.junit.runners.Suite.runChild(Suite.java:128)
        at org.junit.runners.Suite.runChild(Suite.java:24)
        at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
        at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
        at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
        at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
        at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
        at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
        at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
        at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
        at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
        at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
        at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
        at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
FAILURES!!!
Tests run: 1,  Failures: 1
dmake:  Error code 1, while making 'javatest'

and stack

  ---- called from signal handler with signal 6 (SIGABRT) ------
  [25] __lwp_kill(0x1, 0x6), at 0xfef2a227
  [26] raise(0x6), at 0xfeed1ed3
  [27] abort(0xfee6b1d8), at 0xfeeb1ca4
  [28] __Cimpl::default_terminate(0x80448d4), at 0xfee54c90
  [29] std::terminate(0xfee6b1d8, 0xfee6a870, 0x80448e4, 0xfee54635, 0xfee6b400,
0xfee6a870), at 0xfee546b3
  [30] std::bad_exception::bad_exception(0x1, 0x6, 0xfef9d000, 0x8043f7c,
0xfeed1ed3, 0x1), at 0xfee54cb0
  [31] std::unexpected(0x804490c, 0x80448ec, 0xf68d08f8, 0xfee6a870, 0xfee559d4,
0x85bf504), at 0xfee54635
  [32] __Cimpl::ex_unexpected(0x85bf4f8, 0xf856e4c8, 0x8044984, 0xf6877c88,
0x84daaf0, 0xf68c07c4), at 0xfee54c2a
  [33] __Crun::ex_chk_unexpected(0xf856e4c8, 0x804494c, 0xf68c07c4, 0xf13e8294,
0x0, 0xf8576120), at 0xfee559d4
  [34] OLESimpleStorage::dispose(0xf13e8268, 0xf856e4c8, 0x80449b4, 0xf68a072a),
at 0xf68a537a
  [35] OLESimpleStorage::~OLESimpleStorage(0xf13e8268, 0x80449f0, 0x80449cc,
0xf68a6330), at 0xf68a0748
  [36] __SLIP.DELETER__D(0xf13e8268, 0x1, 0x8044a24, 0xfe8a5e8a), at 0xf68a6342
  [37] cppu::OWeakObject::release(0xf13e8268, 0xf854cdd4, 0x867da58,
0xf68a6d58), at 0xfe8a5ecf
  [38]
cppu::WeakImplHelper3<com::sun::star::embed::XOLESimpleStorage,com::sun::star::lang::XInitialization,com::sun::star::lang::XServiceInfo>::release(0xf13e8268),
at 0xf68a6d6a
  [39] bridges::cpp_uno::shared::freeUnoInterfaceProxy(0x85bfbf8, 0x84daaf0,
0x8044aa4, 0xf854cde2), at 0xf84fa29f
  [40] s_stub_defenv_revokeInterface(0x8044b68), at 0xf854d077
  [41] s_environment_invoke_v(0x0, 0x85bfbf8, 0xf854cdd4, 0x8044b68), at 0xf855476b
  [42] uno_Environment_invoke_v(0x85bfbf8, 0xf854cdd4, 0x8044b68, 0xf8554828),
at 0xf85547ff
  [43] uno_Environment_invoke(0x85bfbf8, 0xf854cdd4, 0x85bfbf8, 0x84daaf0), at
0xf8554847
  [44] defenv_revokeInterface(0x85bfbf8, 0x84daaf0, 0x85bfbf8, 0xf84fa358), at
0xf854d2b7
  [45] bridges::cpp_uno::shared::releaseProxy(0x84daaf0, 0x0), at 0xf84fa388
  [46] bridges_remote::Uno2RemoteStub::~Uno2RemoteStub(0x85cf3b8, 0x0), at
0xf117f8a1
  [47] bridges_remote::freeUno2RemoteStub(0x8a292e0, 0x85cf3b8, 0x8044c58,
0xf854cde2), at 0xf117f58f
  [48] s_stub_defenv_revokeInterface(0x8044d1c), at 0xf854d077
  [49] s_environment_invoke_v(0x0, 0x8a292e0, 0xf854cdd4, 0x8044d1c), at 0xf855476b
  [50] uno_Environment_invoke_v(0x8a292e0, 0xf854cdd4, 0x8044d1c, 0xf8554828),
at 0xf85547ff
  [51] uno_Environment_invoke(0x8a292e0, 0xf854cdd4, 0x8a292e0, 0x85cf3b8), at
0xf8554847
  [52] defenv_revokeInterface(0x8a292e0, 0x85cf3b8, 0x8044d6c, 0xfecabc1c), at
0xf854d2b7
  [53] bridges_urp::releaseStubs(0x8a292e0, 0xf1193b84, 0x8044dd8, 0xf1163e93),
at 0xf1163c14
  [54] RemoteEnvironment_thisDispose(0x8a292e0, 0xf17dd048, 0x84dce18,
0xf11a3f6a), at 0xf1163ec8
  [55] remotebridges_bridge::ORemoteBridge::disposing(0xf1511708, 0x8044e60,
0xf8575d88, 0xfe8ca9fa), at 0xf11a4043
  [56] cppu::OComponentHelper::dispose(0xf1511724, 0xf57d5ddc, 0xf57e8d68,
0xf57d3006), at 0xfe8cab3f
  [57] desktop::Acceptor::~Acceptor(0xf5be7394, 0x1, 0x8044f38, 0xf57d4f10), at
0xf57d31ad
  [58] __SLIP.DELETER__B(0xf5be7394, 0x1, 0x8044f58, 0xfe8a5e8a), at 0xf57d4f22
  [59] cppu::OWeakObject::release(0xf5be7394, 0xf87d7454, 0x8044f98,
0xf57d6354), at 0xfe8a5ecf
  [60]
cppu::WeakImplHelper2<com::sun::star::lang::XServiceInfo,com::sun::star::lang::XInitialization>::release(0xf5be7394,
0x0, 0x8044fb8, 0xfe98140a), at 0xf57d6366
  [61] _STL::_Rb_tree<rtl::OUString,_STL::pair<const
rtl::OUString,com::sun::star::uno::Reference<com::sun::star::lang::XInitialization>
>,_STL::_Select1st<_STL::pair<const
rtl::OUString,com::sun::star::uno::Reference<com::sun::star::lang::XInitialization>
> >,_STL::less<rtl::OUString>,_STL::allocator<_STL::pair<const
rtl::OUString,com::sun::star::uno::Reference<com::sun::star::lang::XInitialization>
> > >::_M_erase(0xfe9fe1e8, 0x84647e0, 0x0, 0xfe980062), at 0xfe981458
  [62] desktop::Desktop::DeregisterServices(0x8045440, 0xfe9e17a0, 0x8045398,
0xfe96a374), at 0xfe9800cd
  [63] desktop::Desktop::Main(0x8045440, 0x0, 0x37, 0xfd2ed222), at 0xfe96a381
  [64] ImplSVMain(0xfe99f40a, 0xfecd32c0, 0xfec05530, 0x1, 0x8045498), at 0xfd2ed2a7
  [65] SVMain(0xfeffdd98, 0xe11fb0e, 0x20), at 0xfd2ed469
  [66] soffice_main(0x7), at 0xfe99f40a
  [67] 0x8050b28(0x80454a4, 0xfeffb818, 0x80454dc, 0x8050a4d, 0x7, 0x80454e8),
at 0x8050b28
  [68] main(0x7, 0x80454e8, 0x8045508, 0x8050a0d), at 0x8050b03
Comment 10 Stephan Bergmann 2010-07-12 10:27:26 UTC
next problem with the above setup is

[...]
10: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/XUserInputInterception
10: Making:    qa_complex_xuserinputinterception.dpj
10:
10: Making:    qa_complex_xuserinputinterception.dpj
10:
10: rm -f -r ../../../unxsoli4/misc/qa_complex_xuserinputinterception/user
10: mkdir -p ../../../unxsoli4/misc/qa_complex_xuserinputinterception/user
10: java  -classpath \
10:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxsoli4/class:.:/so/env/Solaris_JDK_1.5.0_06.intel/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/lib'
\
10:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/soffice
\
10:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/XUserInputInterception/../../../unxsoli4/misc/qa_complex_xuserinputinterception/user
\
10:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
10:         org.junit.runner.JUnitCore \
10:         complex.XUserInputInterception.EventTest
10: JUnit version 4.8.1
10: setUpConnection()
10:
10: Environment
10:     $XENVIRONMENT           ""
10:     $DISPLAY                "sr1-eham02-01:98.0"
10:     $SAL_VISUAL             ""
10:     $SAL_FONTPATH           ""
10:     $SAL_NOSEGV             ""
10:     $SAL_IGNOREXERRORS      ""
10:     $SAL_PROPERTIES         ""
10:     $SAL_WM                 ""
10:     $SAL_SYNCHRONIZE        ""
10: Client
10:     Host                    "x42-so29"
10: Display
10:     Host                    "sr1-eham02-01:98.0"
10:     Vendor (Release)        "The X.Org Group (6600)"
10:     Protocol                11.0
10:     Screen (count,def)      0 (1,0)
10:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
10:     XMaxRequestSize         262140 4194300 [bytes]
10:     Properties              0x1000FCB
10: Screen
10:     Resolution/Size         100*100 1024*768 12.8"
10:     Black&White             0 65535
10:     RGB                     0xf800 0x7e0 0x1f
10:     Visual                  16-bit TrueColor ID=0x22
10: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
10: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/XUserInputInterception/../../../unxsoli4/misc/qa_complex_xuserinputinterception/user/user/fonts/fc_local.conf"
10:
10: Environment
10:     $XENVIRONMENT           ""
10:     $DISPLAY                "sr1-eham02-01:98.0"
10:     $SAL_VISUAL             ""
10:     $SAL_FONTPATH           ""
10:     $SAL_NOSEGV             ""
10:     $SAL_IGNOREXERRORS      ""
10:     $SAL_PROPERTIES         ""
10:     $SAL_WM                 ""
10:     $SAL_SYNCHRONIZE        ""
10: Client
10:     Host                    "x42-so29"
10: Display
10:     Host                    "sr1-eham02-01:98.0"
10:     Vendor (Release)        "The X.Org Group (6600)"
10:     Protocol                11.0
10:     Screen (count,def)      0 (1,0)
10:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
10:     XMaxRequestSize         262140 4194300 [bytes]
10:     Properties              0x1000FCB
10: Screen
10:     Resolution/Size         100*100 1024*768 12.8"
10:     Black&White             0 65535
10:     RGB                     0xf800 0x7e0 0x1f
10:     Visual                  16-bit TrueColor ID=0x22
10: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
10: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/XUserInputInterception/../../../unxsoli4/misc/qa_complex_xuserinputinterception/user/user/fonts/fc_local.conf"
10: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
10: .Warning: no DefaultResolution in PPD
10: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
10: starting thread to check the mouse listener...
10: Warning: Cannot convert string
"-monotype-arial-regular-r-normal--*-140-*-*-p-*-iso8859-1" to type FontStruct
10: try to klick into the middle of the document
10: mouse listener thread should be finished.
10: E.starting thread to check the mouse listener...
10: try to klick into the middle of the document
10: mouse listener thread should be finished.
10: E.starting thread to check the mouse listener...
10: try to klick into the middle of the document
10: XMouseClickHandler: mousePressed-Event
10: XMouseClickHandler: mouseReleased-Event
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: mouse listener thread should be finished.
10: starting thread to check the key listener...
10: try to klick into the middle of the document
10: try to press 'A'
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
10: key listener thread should be finished.
10: E.starting thread to check the mouse listener...
10: try to klick into the middle of the document
10: mouse listener thread should be finished.
10: E.Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
10: starting thread to check the mouse listener...
10: try to klick into the middle of the document
10: mouse listener thread should be finished.
10: EtearDownConnection()
10: Error: DeInitVCL: some top Windows are still alive
10: text = "" type = "WorkWindow"
10: text = "" type = "WorkWindow"
10:  From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/app/svmain.cxx at Line 374
10:
10: Time: 32.751
10: There were 5 failures:
10: 1) checkTextDocument(complex.XUserInputInterception.EventTest)
10: java.lang.AssertionError: mouse event does not work!
10:     at org.junit.Assert.fail(Assert.java:91)
10:     at org.junit.Assert.assertTrue(Assert.java:43)
10:     at
complex.XUserInputInterception.EventTest.checkMouseListener(EventTest.java:374)
10:     at
complex.XUserInputInterception.EventTest.checkListener(EventTest.java:309)
10:     at
complex.XUserInputInterception.EventTest.checkTextDocument(EventTest.java:187)
10:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
10:     at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
10:     at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
10:     at java.lang.reflect.Method.invoke(Method.java:585)
10:     at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
10:     at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
10:     at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
10:     at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runners.Suite.runChild(Suite.java:128)
10:     at org.junit.runners.Suite.runChild(Suite.java:24)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
10:     at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
10:     at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
10:     at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
10: 2) checkImpressDocument(complex.XUserInputInterception.EventTest)
10: java.lang.AssertionError: mouse event does not work!
10:     at org.junit.Assert.fail(Assert.java:91)
10:     at org.junit.Assert.assertTrue(Assert.java:43)
10:     at
complex.XUserInputInterception.EventTest.checkMouseListener(EventTest.java:374)
10:     at
complex.XUserInputInterception.EventTest.checkListener(EventTest.java:309)
10:     at
complex.XUserInputInterception.EventTest.checkImpressDocument(EventTest.java:208)
10:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
10:     at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
10:     at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
10:     at java.lang.reflect.Method.invoke(Method.java:585)
10:     at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
10:     at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
10:     at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
10:     at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runners.Suite.runChild(Suite.java:128)
10:     at org.junit.runners.Suite.runChild(Suite.java:24)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
10:     at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
10:     at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
10:     at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
10: 3) checkMathDocument(complex.XUserInputInterception.EventTest)
10: java.lang.AssertionError: key event does not work!
10:     at org.junit.Assert.fail(Assert.java:91)
10:     at org.junit.Assert.assertTrue(Assert.java:43)
10:     at
complex.XUserInputInterception.EventTest.checkKeyListener(EventTest.java:340)
10:     at
complex.XUserInputInterception.EventTest.checkListener(EventTest.java:310)
10:     at
complex.XUserInputInterception.EventTest.checkMathDocument(EventTest.java:251)
10:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
10:     at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
10:     at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
10:     at java.lang.reflect.Method.invoke(Method.java:585)
10:     at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
10:     at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
10:     at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
10:     at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runners.Suite.runChild(Suite.java:128)
10:     at org.junit.runners.Suite.runChild(Suite.java:24)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
10:     at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
10:     at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
10:     at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
10: 4) checkDrawDocument(complex.XUserInputInterception.EventTest)
10: java.lang.AssertionError: mouse event does not work!
10:     at org.junit.Assert.fail(Assert.java:91)
10:     at org.junit.Assert.assertTrue(Assert.java:43)
10:     at
complex.XUserInputInterception.EventTest.checkMouseListener(EventTest.java:374)
10:     at
complex.XUserInputInterception.EventTest.checkListener(EventTest.java:309)
10:     at
complex.XUserInputInterception.EventTest.checkDrawDocument(EventTest.java:272)
10:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
10:     at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
10:     at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
10:     at java.lang.reflect.Method.invoke(Method.java:585)
10:     at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
10:     at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
10:     at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
10:     at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runners.Suite.runChild(Suite.java:128)
10:     at org.junit.runners.Suite.runChild(Suite.java:24)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
10:     at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
10:     at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
10:     at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
10: 5) checkCalcDocument(complex.XUserInputInterception.EventTest)
10: java.lang.AssertionError: mouse event does not work!
10:     at org.junit.Assert.fail(Assert.java:91)
10:     at org.junit.Assert.assertTrue(Assert.java:43)
10:     at
complex.XUserInputInterception.EventTest.checkMouseListener(EventTest.java:374)
10:     at
complex.XUserInputInterception.EventTest.checkListener(EventTest.java:309)
10:     at
complex.XUserInputInterception.EventTest.checkCalcDocument(EventTest.java:293)
10:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
10:     at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
10:     at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
10:     at java.lang.reflect.Method.invoke(Method.java:585)
10:     at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
10:     at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
10:     at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
10:     at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
10:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
10:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runners.Suite.runChild(Suite.java:128)
10:     at org.junit.runners.Suite.runChild(Suite.java:24)
10:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
10:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
10:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
10:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
10:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
10:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
10:     at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
10:     at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
10:     at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
10:     at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
10:
10: FAILURES!!!
10: Tests run: 5,  Failures: 5
10:
10: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/XUserInputInterception
Comment 11 Stephan Bergmann 2010-07-12 12:15:03 UTC
next problem with the above setup is

[...]
31: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/framework
31: Making:    qa_complex_framework.dpj
31:
31: cd DocHelper; dmake subdmake=true
31: Making:    DocHelper.dpj
31:
31: javac -classpath
".:../../../../unxsoli4/class:.:/so/env/Solaris_JDK_1.5.0_06.intel/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/unoil.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/jurt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/juh.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/java_uno.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/OOoRunner.jar::/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/lib"
-d ../../../../unxsoli4/class -target 1.5 @/tmp/mk1ZaWWT
31: Making:    DocHelper.dpj
31:
31: Making:    qa_complex_framework.dpj
31:
31: rm -f -r ../../../unxsoli4/misc/qa_complex_framework/user
31: mkdir -p ../../../unxsoli4/misc/qa_complex_framework/user
31: java  -classpath \
31:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxsoli4/class:.:/so/env/Solaris_JDK_1.5.0_06.intel/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/lib'
\
31:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/soffice
\
31:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxsoli4/misc/qa_complex_framework/user
\
31:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
31:         org.junit.runner.JUnitCore \
31:         complex.framework.DocumentPropertiesTest
complex.framework.DocumentMetadataAccessTest
complex.framework.CheckGlobalEventBroadcaster_writer1
31: JUnit version 4.8.1
31: setUpConnection()
31:
31: Environment
31:     $XENVIRONMENT           ""
31:     $DISPLAY                "sr1-eham02-01:98.0"
31:     $SAL_VISUAL             ""
31:     $SAL_FONTPATH           ""
31:     $SAL_NOSEGV             ""
31:     $SAL_IGNOREXERRORS      ""
31:     $SAL_PROPERTIES         ""
31:     $SAL_WM                 ""
31:     $SAL_SYNCHRONIZE        ""
31: Client
31:     Host                    "x42-so29"
31: Display
31:     Host                    "sr1-eham02-01:98.0"
31:     Vendor (Release)        "The X.Org Group (6600)"
31:     Protocol                11.0
31:     Screen (count,def)      0 (1,0)
31:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
31:     XMaxRequestSize         262140 4194300 [bytes]
31:     Properties              0x1000FCB
31: Screen
31:     Resolution/Size         100*100 1024*768 12.8"
31:     Black&White             0 65535
31:     RGB                     0xf800 0x7e0 0x1f
31:     Visual                  16-bit TrueColor ID=0x22
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxsoli4/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
31:
31: Environment
31:     $XENVIRONMENT           ""
31:     $DISPLAY                "sr1-eham02-01:98.0"
31:     $SAL_VISUAL             ""
31:     $SAL_FONTPATH           ""
31:     $SAL_NOSEGV             ""
31:     $SAL_IGNOREXERRORS      ""
31:     $SAL_PROPERTIES         ""
31:     $SAL_WM                 ""
31:     $SAL_SYNCHRONIZE        ""
31: Client
31:     Host                    "x42-so29"
31: Display
31:     Host                    "sr1-eham02-01:98.0"
31:     Vendor (Release)        "The X.Org Group (6600)"
31:     Protocol                11.0
31:     Screen (count,def)      0 (1,0)
31:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
31:     XMaxRequestSize         262140 4194300 [bytes]
31:     Properties              0x1000FCB
31: Screen
31:     Resolution/Size         100*100 1024*768 12.8"
31:     Black&White             0 65535
31:     RGB                     0xf800 0x7e0 0x1f
31:     Visual                  16-bit TrueColor ID=0x22
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxsoli4/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
31: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
31: Warning: no DefaultResolution in PPD
31: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/unxsoli4/misc/qa_complex_framework/user/user/test-temp/
31: Creating service DocumentProperties...
31: ...done
31: Checking initialize ...
31: ...done
31: Checking storing default-initialized meta data ...
31: ...done
31: Checking loading default-initialized meta data ...
31: ...done
31: (Not) Checking preservation of custom meta data ...
31: ...done
31: Checking loading from test document...
31: Error: assertion failed! From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/tools/source/fsys/urlobj.cxx at
Line 1845
31: Error: assertion failed! From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/tools/source/fsys/urlobj.cxx at
Line 1717
31: ...done
31: Checking meta-data import...
31: ...done
31: Checking meta-data updates...
31: ...done
31: Checking user-defined meta-data updates...
31: ...done
31: Checking storing meta-data to file...
31: ...done
31: Checking loading meta-data from stored file...
31: ...done
31: Checking user-defined meta-data from stored file...
31: ...done
31: Checking notification listener interface...
31: ...done
31: tearDownConnection() DocumentPropertiesTest
31: setUpConnection()
31:
31: Environment
31:     $XENVIRONMENT           ""
31:     $DISPLAY                "sr1-eham02-01:98.0"
31:     $SAL_VISUAL             ""
31:     $SAL_FONTPATH           ""
31:     $SAL_NOSEGV             ""
31:     $SAL_IGNOREXERRORS      ""
31:     $SAL_PROPERTIES         ""
31:     $SAL_WM                 ""
31:     $SAL_SYNCHRONIZE        ""
31: Client
31:     Host                    "x42-so29"
31: Display
31:     Host                    "sr1-eham02-01:98.0"
31:     Vendor (Release)        "The X.Org Group (6600)"
31:     Protocol                11.0
31:     Screen (count,def)      0 (1,0)
31:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
31:     XMaxRequestSize         262140 4194300 [bytes]
31:     Properties              0x1000FCB
31: Screen
31:     Resolution/Size         100*100 1024*768 12.8"
31:     Black&White             0 65535
31:     RGB                     0xf800 0x7e0 0x1f
31:     Visual                  16-bit TrueColor ID=0x22
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxsoli4/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
31: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
31: Warning: no DefaultResolution in PPD
31: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/unxsoli4/misc/qa_complex_framework/user/user/test-temp/
31: Creating document with Repository...
31: ...done
31: Checking that new repository is initialized...
31: ...done
31: Checking some invalid args...
31: Error: Invalid MediaDescriptor detected:
31: Found no URL. From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/comphelper/source/misc/mediadescriptor.cxx
at Line 606
31: ...done
31: Checking file addition/removal...
31: ...done
31: Checking mapping...
31: ...done
31: Checking storing and loading...
31: ...done
31: Checking storing and loading via model...
31: ...done
31: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/unxsoli4/misc/qa_complex_framework/user/user/test-temp/
31: Loading test document...
31: ...done
31: Checking RDFa in loaded test document...
31: ...done
31: Storing test document...
31: ...done
31: Loading test document...
31: ...done
31: Checking RDFa in loaded test document...
31: ...done
31: tearDownConnection() DocumentMetadataAccessTest
31: setUpConnection()
31:
31: Environment
31:     $XENVIRONMENT           ""
31:     $DISPLAY                "sr1-eham02-01:98.0"
31:     $SAL_VISUAL             ""
31:     $SAL_FONTPATH           ""
31:     $SAL_NOSEGV             ""
31:     $SAL_IGNOREXERRORS      ""
31:     $SAL_PROPERTIES         ""
31:     $SAL_WM                 ""
31:     $SAL_SYNCHRONIZE        ""
31: Client
31:     Host                    "x42-so29"
31: Display
31:     Host                    "sr1-eham02-01:98.0"
31:     Vendor (Release)        "The X.Org Group (6600)"
31:     Protocol                11.0
31:     Screen (count,def)      0 (1,0)
31:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
31:     XMaxRequestSize         262140 4194300 [bytes]
31:     Properties              0x1000FCB
31: Screen
31:     Resolution/Size         100*100 1024*768 12.8"
31:     Black&White             0 65535
31:     RGB                     0xf800 0x7e0 0x1f
31:     Visual                  16-bit TrueColor ID=0x22
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
31: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxsoli4/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
31: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
31: Warning: no DefaultResolution in PPD
31: .check wether there is a valid MultiServiceFactory
31: ... done
31: Create an instance of com.sun.star.frame.GlobalEventBroadcaster
31: ... done
31: check wether the created instance is valid
31: ... done
31: try to query the XEventBroadcaster from the gained Object
31: ... done
31: adding Listener
31: ... done
31: -- Checking Writer --
31: opening an empty writer doc
31: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
31: Fired Events:
31:     - OnCreate
31:     - OnStorageChanged
31:     - OnTitleChanged
31:     - OnUnfocus
31:     - OnFocus
31:     - OnViewCreated
31:     - OnPageCountChange
31:     - OnNew
31:     - OnLayoutFinished
31:     - OnLayoutFinished
31: ... done
31: changing the writer doc
31: Fired Events:
31:     - OnTitleChanged
31:     - OnModifyChanged
31: ... done
31: closing the empty writer doc
31: Fired Events:
31:     - OnTitleChanged
31:     - OnViewClosed
31:     - OnUnload
31:     - OnUnfocus
31: The event OnFocus isn't fired
31: removing Listener
31: ... done
31: EtearDownConnection() CheckGlobalEventBroadcaster_writer1
31:
31: Time: 30.088
31: There was 1 failure:
31: 1) checkWriter(complex.framework.CheckGlobalEventBroadcaster_writer1)
31: java.lang.AssertionError: Wrong events fired when closing empty doc
31:     at org.junit.Assert.fail(Assert.java:91)
31:     at org.junit.Assert.assertTrue(Assert.java:43)
31:     at
complex.framework.CheckGlobalEventBroadcaster_writer1.checkWriter(CheckGlobalEventBroadcaster_writer1.java:148)
31:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
31:     at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
31:     at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
31:     at java.lang.reflect.Method.invoke(Method.java:585)
31:     at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
31:     at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
31:     at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
31:     at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
31:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
31:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
31:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
31:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
31:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
31:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
31:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
31:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
31:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
31:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
31:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
31:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
31:     at org.junit.runners.Suite.runChild(Suite.java:128)
31:     at org.junit.runners.Suite.runChild(Suite.java:24)
31:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
31:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
31:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
31:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
31:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
31:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
31:     at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
31:     at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
31:     at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
31:     at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
31:     at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
31:     at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
31:
31: FAILURES!!!
31: Tests run: 4,  Failures: 1
31:
31: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/framework
Comment 12 Stephan Bergmann 2010-07-12 13:12:16 UTC
next problem with the above setup is

[...]
43: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/toolkit/qa/complex/xunitconversion
43: Making:    qa_complex_xunitconversiontest.dpj
43:
43: Making:    qa_complex_xunitconversiontest.dpj
43:
43: rm -f -r ../../../unxsoli4/misc/qa_complex_xunitconversiontest/user
43: mkdir -p ../../../unxsoli4/misc/qa_complex_xunitconversiontest/user
43: java  -classpath \
43:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxsoli4/class:.:/so/env/Solaris_JDK_1.5.0_06.intel/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/lib'
\
43:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/soffice
\
43:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/toolkit/qa/complex/xunitconversion/../../../unxsoli4/misc/qa_complex_xunitconversiontest/user
\
43:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
43:         org.junit.runner.JUnitCore \
43:         complex.xunitconversion.XUnitConversionTest
43: JUnit version 4.8.1
43: setUpConnection()
43:
43: Environment
43:     $XENVIRONMENT           ""
43:     $DISPLAY                "sr1-eham02-01:98.0"
43:     $SAL_VISUAL             ""
43:     $SAL_FONTPATH           ""
43:     $SAL_NOSEGV             ""
43:     $SAL_IGNOREXERRORS      ""
43:     $SAL_PROPERTIES         ""
43:     $SAL_WM                 ""
43:     $SAL_SYNCHRONIZE        ""
43: Client
43:     Host                    "x42-so29"
43: Display
43:     Host                    "sr1-eham02-01:98.0"
43:     Vendor (Release)        "The X.Org Group (6600)"
43:     Protocol                11.0
43:     Screen (count,def)      0 (1,0)
43:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
43:     XMaxRequestSize         262140 4194300 [bytes]
43:     Properties              0x1000FCB
43: Screen
43:     Resolution/Size         100*100 1024*768 12.8"
43:     Black&White             0 65535
43:     RGB                     0xf800 0x7e0 0x1f
43:     Visual                  16-bit TrueColor ID=0x22
43: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
43: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/toolkit/qa/complex/xunitconversion/../../../unxsoli4/misc/qa_complex_xunitconversiontest/user/user/fonts/fc_local.conf"
43:
43: Environment
43:     $XENVIRONMENT           ""
43:     $DISPLAY                "sr1-eham02-01:98.0"
43:     $SAL_VISUAL             ""
43:     $SAL_FONTPATH           ""
43:     $SAL_NOSEGV             ""
43:     $SAL_IGNOREXERRORS      ""
43:     $SAL_PROPERTIES         ""
43:     $SAL_WM                 ""
43:     $SAL_SYNCHRONIZE        ""
43: Client
43:     Host                    "x42-so29"
43: Display
43:     Host                    "sr1-eham02-01:98.0"
43:     Vendor (Release)        "The X.Org Group (6600)"
43:     Protocol                11.0
43:     Screen (count,def)      0 (1,0)
43:     shift ctrl alt          Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
43:     XMaxRequestSize         262140 4194300 [bytes]
43:     Properties              0x1000FCB
43: Screen
43:     Resolution/Size         100*100 1024*768 12.8"
43:     Black&White             0 65535
43:     RGB                     0xf800 0x7e0 0x1f
43:     Visual                  16-bit TrueColor ID=0x22
43: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
43: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/toolkit/qa/complex/xunitconversion/../../../unxsoli4/misc/qa_complex_xunitconversiontest/user/user/fonts/fc_local.conf"
43: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
43: Warning: no DefaultResolution in PPD
43: .Window position and size in pixel:
43: X:500
43: Y:100
43: Width:400
43: Height:600
43:
43: EtearDownConnection()
43: Error: DeInitVCL: some top Windows are still alive
43: text = "" type = "Dialog"
43:  From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/app/svmain.cxx at Line 374
43:
43: Time: 13.166
43: There was 1 failure:
43: 1) testXUnitConversion(complex.xunitconversion.XUnitConversionTest)
43: java.lang.AssertionError: Window pos size wrong
43:     at org.junit.Assert.fail(Assert.java:91)
43:     at org.junit.Assert.assertTrue(Assert.java:43)
43:     at
complex.xunitconversion.XUnitConversionTest.testXUnitConversion(XUnitConversionTest.java:146)
43:     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
43:     at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
43:     at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
43:     at java.lang.reflect.Method.invoke(Method.java:585)
43:     at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
43:     at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
43:     at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
43:     at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
43:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
43:     at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
43:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
43:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
43:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
43:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
43:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
43:     at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
43:     at
org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
43:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
43:     at org.junit.runners.Suite.runChild(Suite.java:128)
43:     at org.junit.runners.Suite.runChild(Suite.java:24)
43:     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
43:     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
43:     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
43:     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
43:     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
43:     at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
43:     at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
43:     at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
43:     at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
43:     at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
43:     at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
43:     at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
43:
43: FAILURES!!!
43: Tests run: 1,  Failures: 1
43:
43: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/toolkit/qa/complex/xunitconversion
Comment 13 Stephan Bergmann 2010-07-13 09:28:46 UTC
next problem with the above setup is that

  > cd framework/qa/complex/loadAllDocuments && OOO_SUBSEQUENT_TESTS=x dmake

pollutes the source tree:

  > hg status
  ?
framework/qa/complex/loadAllDocuments/file:/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/unxsoli4/misc/qa_complex_loadAllDocuments/user/user/test-temp/password_0.sxw
Comment 14 Stephan Bergmann 2010-07-15 12:44:47 UTC
next problem with the above setup (under unxlngx6.pro) is

[...]
37: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sw/qa/complex/indeterminateState
37: rm -f -r ../../../unxlngx6.pro/misc/qa_complex_indeterminateState/user
37: mkdir -p ../../../unxlngx6.pro/misc/qa_complex_indeterminateState/user
37: java  -classpath \
37:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxlngx6.pro/class:.:/so/env/Linux_JDK_1.5.0_15.x64/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/lib'
\
37:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/installation/opt/openoffice.org3/program/soffice
\
37:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/indeterminateState/../../../unxlngx6.pro/misc/qa_complex_indeterminateState/user
\
37:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
37:         org.junit.runner.JUnitCore \
37:         complex.indeterminateState.CheckIndeterminateState
37: JUnit version 4.8.1
37: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
37: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
37: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/indeterminateState/../../../unxlngx6.pro/misc/qa_complex_indeterminateState/user/user/fonts/fc_local.conf"
37: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
37: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
37: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/indeterminateState/../../../unxlngx6.pro/misc/qa_complex_indeterminateState/user/user/fonts/fc_local.conf"
37: .E
37: Time: 8.929
37: There was 1 failure:
37: 1) checkToolBoxItem(complex.indeterminateState.CheckIndeterminateState)
37: java.lang.AssertionError: The 'INDETERMINATE' state is not set.
37: 	at org.junit.Assert.fail(Assert.java:91)
37: 	at org.junit.Assert.assertTrue(Assert.java:43)
37: 	at
complex.indeterminateState.CheckIndeterminateState.checkToolBoxItem(CheckIndeterminateState.java:95)
37: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
37: 	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
37: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
37: 	at java.lang.reflect.Method.invoke(Method.java:585)
37: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
37: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
37: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
37: 	at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
37: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
37: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
37: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
37: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
37: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
37: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
37: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
37: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
37: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
37: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
37: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
37: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
37: 	at org.junit.runners.Suite.runChild(Suite.java:128)
37: 	at org.junit.runners.Suite.runChild(Suite.java:24)
37: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
37: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
37: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
37: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
37: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
37: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
37: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
37: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
37: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
37: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
37: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
37: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
37: 
37: FAILURES!!!
37: Tests run: 1,  Failures: 1
37: 
37: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sw/qa/complex/indeterminateState
Comment 15 Stephan Bergmann 2010-07-15 15:09:52 UTC
next problem with the above setup (under unxsoli4.pro) is

[...]
8: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/ModuleManager
8: Making:    qa_complex_ModuleManager.dpj
8: 
8: Making:    qa_complex_ModuleManager.dpj
8: 
8: rm -f -r ../../../unxsoli4.pro/misc/qa_complex_ModuleManager/user
8: mkdir -p ../../../unxsoli4.pro/misc/qa_complex_ModuleManager/user
8: java  -classpath \
8:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxsoli4.pro/class:.:/so/env/Solaris_JDK_1.5.0_06.intel/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/lib'
\
8:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/installation/opt/openoffice.org3/program/soffice
\
8:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/ModuleManager/../../../unxsoli4.pro/misc/qa_complex_ModuleManager/user
\
8:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
8:         org.junit.runner.JUnitCore \
8:         complex.ModuleManager.CheckXModuleManager
8: JUnit version 4.8.1
8: setUpConnection()
8: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
8: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/ModuleManager/../../../unxsoli4.pro/misc/qa_complex_ModuleManager/user/user/fonts/fc_local.conf"
8: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
8: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/ModuleManager/../../../unxsoli4.pro/misc/qa_complex_ModuleManager/user/user/fonts/fc_local.conf"
8: .check identification of module 'com.sun.star.text.TextDocument' ...
8: check identification of module 'com.sun.star.text.WebDocument' ...
8: check identification of module 'com.sun.star.text.GlobalDocument' ...
8: check identification of module 'com.sun.star.formula.FormulaProperties' ...
8: check identification of module 'com.sun.star.sheet.SpreadsheetDocument' ...
8: check identification of module 'com.sun.star.drawing.DrawingDocument' ...
8: check identification of module
'com.sun.star.presentation.PresentationDocument' ...
8: check identification of module 'com.sun.star.sdb.OfficeDatabaseDocument' ...
8: EE.EE.EE.EEtearDownConnection()
8: E
8: Time: 34.254
8: There were 9 failures:
8: 1) checkModuleIdentification(complex.ModuleManager.CheckXModuleManager)
8: com.sun.star.lang.DisposedException: java.io.EOFException
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge$MessageDispatcher.run(java_remote_bridge.java:158)
8: 2) checkModuleIdentification(complex.ModuleManager.CheckXModuleManager)
8: com.sun.star.lang.DisposedException: java_remote_bridge
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge@1bf3d87 is disposed
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.checkDisposed(java_remote_bridge.java:702)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.sendRequest(java_remote_bridge.java:621)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.request(ProxyFactory.java:151)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.invoke(ProxyFactory.java:128)
8: 	at $Proxy14.queryInterface(Unknown Source)
8: 	at com.sun.star.uno.UnoRuntime.queryInterface(UnoRuntime.java:153)
8: 	at com.sun.star.uno.UnoRuntime.queryInterface(UnoRuntime.java:181)
8: 	at complex.ModuleManager.CheckXModuleManager.after(CheckXModuleManager.java:118)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:37)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 3) checkModuleConfigurationReadable(complex.ModuleManager.CheckXModuleManager)
8: com.sun.star.lang.DisposedException: java_remote_bridge
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge@1bf3d87 is disposed
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.checkDisposed(java_remote_bridge.java:702)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.sendRequest(java_remote_bridge.java:621)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.request(ProxyFactory.java:151)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.invoke(ProxyFactory.java:133)
8: 	at $Proxy9.getServiceManager(Unknown Source)
8: 	at
complex.ModuleManager.CheckXModuleManager.getMSF(CheckXModuleManager.java:339)
8: 	at
complex.ModuleManager.CheckXModuleManager.before(CheckXModuleManager.java:101)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:27)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 4) checkModuleConfigurationReadable(complex.ModuleManager.CheckXModuleManager)
8: java.lang.NullPointerException
8: 	at complex.ModuleManager.CheckXModuleManager.after(CheckXModuleManager.java:119)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:37)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 5) checkModuleConfigurationWriteable(complex.ModuleManager.CheckXModuleManager)
8: com.sun.star.lang.DisposedException: java_remote_bridge
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge@1bf3d87 is disposed
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.checkDisposed(java_remote_bridge.java:702)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.sendRequest(java_remote_bridge.java:621)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.request(ProxyFactory.java:151)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.invoke(ProxyFactory.java:133)
8: 	at $Proxy9.getServiceManager(Unknown Source)
8: 	at
complex.ModuleManager.CheckXModuleManager.getMSF(CheckXModuleManager.java:339)
8: 	at
complex.ModuleManager.CheckXModuleManager.before(CheckXModuleManager.java:101)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:27)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 6) checkModuleConfigurationWriteable(complex.ModuleManager.CheckXModuleManager)
8: java.lang.NullPointerException
8: 	at complex.ModuleManager.CheckXModuleManager.after(CheckXModuleManager.java:119)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:37)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 7) checkModuleConfigurationQueries(complex.ModuleManager.CheckXModuleManager)
8: com.sun.star.lang.DisposedException: java_remote_bridge
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge@1bf3d87 is disposed
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.checkDisposed(java_remote_bridge.java:702)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.sendRequest(java_remote_bridge.java:621)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.request(ProxyFactory.java:151)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.invoke(ProxyFactory.java:133)
8: 	at $Proxy9.getServiceManager(Unknown Source)
8: 	at
complex.ModuleManager.CheckXModuleManager.getMSF(CheckXModuleManager.java:339)
8: 	at
complex.ModuleManager.CheckXModuleManager.before(CheckXModuleManager.java:101)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:27)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 8) checkModuleConfigurationQueries(complex.ModuleManager.CheckXModuleManager)
8: java.lang.NullPointerException
8: 	at complex.ModuleManager.CheckXModuleManager.after(CheckXModuleManager.java:119)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:37)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
8: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 9) complex.ModuleManager.CheckXModuleManager
8: com.sun.star.lang.DisposedException: java_remote_bridge
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge@1bf3d87 is disposed
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.checkDisposed(java_remote_bridge.java:702)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.sendRequest(java_remote_bridge.java:621)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.request(ProxyFactory.java:151)
8: 	at
com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.invoke(ProxyFactory.java:133)
8: 	at $Proxy9.getServiceManager(Unknown Source)
8: 	at org.openoffice.test.OfficeConnection.tearDown(OfficeConnection.java:109)
8: 	at
complex.ModuleManager.CheckXModuleManager.tearDownConnection(CheckXModuleManager.java:353)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:585)
8: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
8: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
8: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
8: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:37)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runners.Suite.runChild(Suite.java:128)
8: 	at org.junit.runners.Suite.runChild(Suite.java:24)
8: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
8: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
8: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
8: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
8: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
8: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
8: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
8: 
8: FAILURES!!!
8: Tests run: 4,  Failures: 9
8: 
8: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/ModuleManager

with

t@1 (l@1) terminated by signal SEGV (no mapping at the fault address)
=>[1] drawinglayer::processor2d::BaseProcessor2D::process(0x8044930, 0x8cf5ff4,
0x1, 0x1), at 0xf4be55a2
  [2] sdr::contact::ViewObjectContact::checkForPrimitive2DAnimations(0x8cf5fc8,
0xeff3fc20, 0x87e58e8, 0xf357b4cc), at 0xf35a14b3
  [3] sdr::contact::ViewObjectContact::getPrimitive2DSequence(0x80449fc,
0x8cf5fc8, 0x8044c10, 0xf35a1c2e), at 0xf35a1acd
  [4]
sdr::contact::ViewObjectContact::getPrimitive2DSequenceHierarchy(0x8044aac,
0x8cf5fc8, 0x8044c10, 0x8044aa4), at 0xf35a1ca9
  [5] sdr::contact::ObjectContactOfObjListPainter::ProcessDisplay(0x8044bb0,
0x8044c10, 0x8044ba0, 0x0), at 0xf359eab7
  [6] XDashList::CreateBitmapForUI(0x87e54e0, 0x0, 0x1, 0xf290c642), at 0xf3a387ab
  [7] LineLB::Fill(0x8cc01e8, 0x87e54e0, 0x8044cf8, 0xf29b181a), at 0xf290c6b3
  [8] SvxLineBox::FillControl(0x8cc01e8, 0xf2ab0114, 0x8044d08, 0xf29b083b), at
0xf29b1872
  [9] SvxLineBox::DelayHdl_Impl(0x8cc01e8, 0x8cc032c, 0x807f2fc, 0xf29b07ec,
0x0), at 0xf29b084d
  [10] SvxLineBox::LinkStubDelayHdl_Impl(0x8cc01e8, 0x8cc032c, 0x1f7f137f,
0x41efffff), at 0xf29b0801
  [11] Timer::Timeout(0x8cc032c, 0xfd8b74bc, 0x8044d88, 0xfd4df98a), at 0xfd4dfc21
  [12] Timer::ImplTimerCallbackProc(0x8066968), at 0xfd4df9ed
  [13] X11SalData::Timeout(0x8066968), at 0xf89a01f3
  [14] GtkXLib::timeoutFn(0x8066c08, 0x0, 0x807f2fc, 0xfc37b964, 0x807f2fc), at
0xfc37ba01
  [15] call_timeoutFn(0x8066c08, 0x0, 0x807f2f8), at 0xfc37b976
  [16] g_timeout_dispatch(0xfc15f5e0, 0x2, 0x807f2f8, 0x12c, 0x23, 0x2f), at
0xfc104588
Comment 16 Stephan Bergmann 2010-07-16 08:26:04 UTC
next problem with the above setup (under unxlngi6.pro) is

[...]
36: make /net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sw/qa/complex/writer
36: rm -f -r ../../../unxlngi6.pro/misc/qa_complex_writer/user
36: mkdir -p ../../../unxlngi6.pro/misc/qa_complex_writer/user
36: java  -classpath \
36:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxlngi6.pro/class:.:/so/env/Linux_JDK_1.5.0_06/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/lib'
\
36:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/soffice
\
36:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user
\
36:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
36:         org.junit.runner.JUnitCore \
36:         complex.writer.CheckBookmarks complex.writer.CheckCrossReferences
complex.writer.CheckFlies complex.writer.CheckIndexedPropertyValues
complex.writer.CheckNamedPropertyValues complex.writer.TextPortionEnumerationTest
36: JUnit version 4.8.1
36: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user/user/fonts/fc_local.conf"
36: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user/user/fonts/fc_local.conf"
36: .
36: (soffice:12569): Gtk-WARNING **: Unable to retrieve the file info for
`file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/Bookmarktest.odf':
Error stating file
'/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/Bookmarktest.odf':
No such file or directory
36: 
36: (soffice:12569): Gtk-WARNING **: Unable to retrieve the file info for
`file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/Bookmarktest.doc':
Error stating file
'/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/Bookmarktest.doc':
No such file or directory
36: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user/user/fonts/fc_local.conf"
36: .Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user/user/fonts/fc_local.conf"
36: .Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user/user/fonts/fc_local.conf"
36: .Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user/user/fonts/fc_local.conf"
36: .Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
36: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/qa/complex/writer/../../../unxlngi6.pro/misc/qa_complex_writer/user/user/fonts/fc_local.conf"
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <TextField>	content: abc
36: O: <__ROOT__>
36: O:   <TextField>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Footnote>	label: ftn1
36: O: <__ROOT__>
36: O:   <Footnote>	label: ftn1
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: O:   <Text>	content: 
36: unexpected node: <Text>	content: 
36: warning: 1 spurious empty text nodes
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: mark1	isPoint: true	isStart: false	xmlid: #
36: I:   <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Bookmark>	name: mark1	isPoint: true	isStart: false	xmlid: #
36: O:   <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: #
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: #
36: O: <__ROOT__>
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: #
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: #
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: mark1	isPoint: true	isStart: false	xmlid: content.xml#id2
36: I:   <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Bookmark>	name: mark1	isPoint: true	isStart: false	xmlid: content.xml#id2
36: O:   <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: content.xml#id2
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: content.xml#id2
36: O: <__ROOT__>
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: content.xml#id2
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: content.xml#id2
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <ReferenceMark>	name: refmark1	isPoint: true	isStart: false
36: I:   <Text>	content: abc
36: O: <__ROOT__>
36: O:   <ReferenceMark>	name: refmark1	isPoint: true	isStart: false
36: O:   <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: O: <__ROOT__>
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <DocumentIndexMark>	name: toxmark1	isPoint: true	isStart: false
36: I:   <Text>	content: abc
36: O: <__ROOT__>
36: O:   <DocumentIndexMark>	name: toxmark1	isPoint: true	isStart: false
36: O:   <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: false
36: O: <__ROOT__>
36: O:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: false
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:   <Text>	content: 
36: unexpected node: <Text>	content: 
36: warning: 1 spurious empty text nodes
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 123
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Text>	content: 123
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 123
36: I:   <MetadataField>	xmlid: content.xml#id1
36: I:     <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Text>	content: 123
36: O:   <MetadataField>	xmlid: content.xml#id1
36: O:     <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <MetadataField>	xmlid: content.xml#id1
36: O: <__ROOT__>
36: O:   <MetadataField>	xmlid: content.xml#id1
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: #
36: I:   <Bookmark>	name: mark2	isPoint: true	isStart: false	xmlid: #
36: I:   <Bookmark>	name: mark3	isPoint: false	isStart: true	xmlid: #
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: #
36: I:   <Text>	content: de
36: I:   <Bookmark>	name: mark3	isPoint: false	isStart: false	xmlid: #
36: O: <__ROOT__>
36: O:   <Bookmark>	name: mark3	isPoint: false	isStart: true	xmlid: #
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: #
36: O:   <Bookmark>	name: mark2	isPoint: true	isStart: false	xmlid: #
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: #
36: O:   <Text>	content: de
36: O:   <Bookmark>	name: mark3	isPoint: false	isStart: false	xmlid: #
36: position differs:	expected: 0	actual: 1
36: position differs:	expected: 1	actual: 2
36: position differs:	expected: 2	actual: 0
36: warning: 3 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: #
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: mark2	isPoint: true	isStart: false	xmlid: #
36: I:   <Bookmark>	name: mark3	isPoint: false	isStart: true	xmlid: #
36: I:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: #
36: I:   <Text>	content: de
36: I:   <Bookmark>	name: mark3	isPoint: false	isStart: false	xmlid: #
36: O: <__ROOT__>
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: true	xmlid: #
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: mark1	isPoint: false	isStart: false	xmlid: #
36: O:   <Bookmark>	name: mark3	isPoint: false	isStart: true	xmlid: #
36: O:   <Bookmark>	name: mark2	isPoint: true	isStart: false	xmlid: #
36: O:   <Text>	content: de
36: O:   <Bookmark>	name: mark3	isPoint: false	isStart: false	xmlid: #
36: position differs:	expected: 0	actual: 2
36: position differs:	expected: 2	actual: 0
36: warning: 2 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: I:   <Text>	content: de
36: O: <__ROOT__>
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: O:   <Text>	content: de
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark2	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark4	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark6	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark7	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <ReferenceMark>	name: refmark7	isPoint: false	isStart: false
36: I:   <ReferenceMark>	name: refmark6	isPoint: false	isStart: false
36: I:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: false
36: I:   <ReferenceMark>	name: refmark4	isPoint: false	isStart: false
36: I:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: false
36: I:   <ReferenceMark>	name: refmark2	isPoint: false	isStart: false
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: I:   <Text>	content: de
36: O: <__ROOT__>
36: O:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: refmark6	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: refmark4	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: refmark2	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: refmark7	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: false
36: O:   <ReferenceMark>	name: refmark7	isPoint: false	isStart: false
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: O:   <ReferenceMark>	name: refmark2	isPoint: false	isStart: false
36: O:   <ReferenceMark>	name: refmark4	isPoint: false	isStart: false
36: O:   <ReferenceMark>	name: refmark6	isPoint: false	isStart: false
36: O:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: false
36: O:   <Text>	content: de
36: position differs:	expected: 0	actual: 4
36: position differs:	expected: 1	actual: 3
36: position differs:	expected: 2	actual: 6
36: position differs:	expected: 3	actual: 2
36: position differs:	expected: 4	actual: 0
36: position differs:	expected: 5	actual: 1
36: position differs:	expected: 6	actual: 5
36: position differs:	expected: 0	actual: 1
36: position differs:	expected: 1	actual: 5
36: position differs:	expected: 2	actual: 6
36: position differs:	expected: 3	actual: 4
36: position differs:	expected: 4	actual: 0
36: position differs:	expected: 5	actual: 3
36: position differs:	expected: 6	actual: 2
36: warning: 14 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: false
36: I:   <Text>	content: de
36: O: <__ROOT__>
36: O:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: false
36: O:   <Text>	content: de
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: toxmark2	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: toxmark3	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: toxmark5	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: toxmark6	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: toxmark7	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <DocumentIndexMark>	name: toxmark7	isPoint: false	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark6	isPoint: false	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark5	isPoint: false	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark3	isPoint: false	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark2	isPoint: false	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: false
36: I:   <Text>	content: de
36: O: <__ROOT__>
36: O:   <DocumentIndexMark>	name: toxmark5	isPoint: false	isStart: true
36: O:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: true
36: O:   <DocumentIndexMark>	name: toxmark3	isPoint: false	isStart: true
36: O:   <DocumentIndexMark>	name: toxmark2	isPoint: false	isStart: true
36: O:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: true
36: O:   <DocumentIndexMark>	name: toxmark6	isPoint: false	isStart: true
36: O:   <DocumentIndexMark>	name: toxmark7	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <DocumentIndexMark>	name: toxmark7	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark6	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark1	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark2	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark3	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark5	isPoint: false	isStart: false
36: O:   <Text>	content: de
36: position differs:	expected: 0	actual: 4
36: position differs:	expected: 1	actual: 3
36: position differs:	expected: 3	actual: 1
36: position differs:	expected: 4	actual: 0
36: position differs:	expected: 2	actual: 6
36: position differs:	expected: 3	actual: 5
36: position differs:	expected: 5	actual: 3
36: position differs:	expected: 6	actual: 2
36: warning: 8 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: I:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: I:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: I:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: true
36: I:   <Text>	content: de
36: I:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: false
36: I:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: false
36: O: <__ROOT__>
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: O:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: O:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: O:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: true
36: O:   <Text>	content: de
36: O:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: false
36: O:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: false
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: I:   <ReferenceMark>	name: refmark2	isPoint: true	isStart: false
36: I:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: true
36: I:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: false
36: I:   <Text>	content: de
36: I:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: false
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: I:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: false
36: O: <__ROOT__>
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: O:   <ReferenceMark>	name: refmark2	isPoint: true	isStart: false
36: O:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <ReferenceMark>	name: refmark3	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: true
36: O:   <Text>	content: de
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: O:   <ReferenceMark>	name: refmark5	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark4	isPoint: false	isStart: false
36: position differs:	expected: 0	actual: 1
36: position differs:	expected: 1	actual: 2
36: position differs:	expected: 2	actual: 0
36: position differs:	expected: 0	actual: 2
36: position differs:	expected: 1	actual: 0
36: position differs:	expected: 2	actual: 1
36: warning: 6 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: I:   <DocumentIndexMark>	name: refmark2	isPoint: true	isStart: false
36: I:   <DocumentIndexMark>	name: refmark3	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <ReferenceMark>	name: toxmark4	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: refmark5	isPoint: false	isStart: true
36: I:   <DocumentIndexMark>	name: refmark3	isPoint: false	isStart: false
36: I:   <Text>	content: de
36: I:   <ReferenceMark>	name: toxmark4	isPoint: false	isStart: false
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: I:   <DocumentIndexMark>	name: refmark5	isPoint: false	isStart: false
36: O: <__ROOT__>
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: O:   <DocumentIndexMark>	name: refmark2	isPoint: true	isStart: false
36: O:   <DocumentIndexMark>	name: refmark3	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <DocumentIndexMark>	name: refmark3	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: refmark5	isPoint: false	isStart: true
36: O:   <ReferenceMark>	name: toxmark4	isPoint: false	isStart: true
36: O:   <Text>	content: de
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: O:   <ReferenceMark>	name: toxmark4	isPoint: false	isStart: false
36: O:   <DocumentIndexMark>	name: refmark5	isPoint: false	isStart: false
36: position differs:	expected: 0	actual: 2
36: position differs:	expected: 2	actual: 0
36: position differs:	expected: 0	actual: 1
36: position differs:	expected: 1	actual: 0
36: warning: 4 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: I:   <Text>	content: de
36: I:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: O:   <Text>	content: de
36: O:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: I:   <Text>	content: de
36: I:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: O:   <Text>	content: de
36: O:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: I:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: I:   <Text>	content: de
36: I:   <Bookmark>	name: bookmark2	isPoint: true	isStart: false	xmlid: #
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: O:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: O:   <Text>	content: de
36: O:   <Bookmark>	name: bookmark2	isPoint: true	isStart: false	xmlid: #
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: I:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: I:   <Text>	content: de
36: I:   <Bookmark>	name: bookmark2	isPoint: true	isStart: false	xmlid: #
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: O:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: O:   <Text>	content: de
36: O:   <Bookmark>	name: bookmark2	isPoint: true	isStart: false	xmlid: #
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: I:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: I:   <Frame>	name: frame3	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame3	anchor: AT_CHARACTER
36: O:   <Text>	content: 
36: unexpected node: <Text>	content: 
36: warning: 1 spurious empty text nodes
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: I:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: I:   <Frame>	name: frame3	anchor: AS_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: O:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: O:   <Frame>	name: frame3	anchor: AS_CHARACTER
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: I:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: I:   <Frame>	name: frame3	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: O:   <Frame>	name: frame3	anchor: AT_CHARACTER
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: I:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: I:   <Frame>	name: frame3	anchor: AS_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame3	anchor: AS_CHARACTER
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: I:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: I:   <Frame>	name: frame3	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AS_CHARACTER
36: O:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame3	anchor: AT_CHARACTER
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Hyperlink>	url: url2
36: I:       <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Hyperlink>	url: url2
36: O:       <Text>	content: abc
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url1
36: I:     <Ruby>	rubytext: ruby2
36: I:       <Text>	content: abc
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: abc
36: position differs:	expected: 0	actual: 1
36: node: <Hyperlink>	url: url1 possibly moved across nesting <Ruby>	rubytext: ruby2
36: position differs:	expected: 1	actual: 0
36: node: <Ruby>	rubytext: ruby2 possibly moved across nesting <Ruby>	rubytext:
ruby2
36: position differs:	expected: 0	actual: 1
36: node: <Ruby>	rubytext: ruby2 possibly moved across nesting <Hyperlink>	url: url1
36: position differs:	expected: 1	actual: 0
36: node: <Hyperlink>	url: url1 possibly moved across nesting <Hyperlink>	url: url1
36: warning: 4 differences in sequence
36: WARNING: 4 differences in nesting
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: I:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: I:   <ReferenceMark>	name: refmark3	isPoint: true	isStart: false
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: O:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: O:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: O:   <ReferenceMark>	name: refmark3	isPoint: true	isStart: false
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: I:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: I:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: I:   <ReferenceMark>	name: refmark3	isPoint: true	isStart: false
36: I:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: I:   <Frame>	name: frame5	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: O:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: O:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: O:   <ReferenceMark>	name: refmark3	isPoint: true	isStart: false
36: O:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame5	anchor: AT_CHARACTER
36: position differs:	expected: 0	actual: 1
36: position differs:	expected: 1	actual: 0
36: warning: 2 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: abc
36: I:   <Footnote>	label: ftn1
36: I:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: O: <__ROOT__>
36: O:   <Text>	content: abc
36: O:   <Footnote>	label: ftn1
36: O:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: I:   <Text>	content: abc
36: I:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: I:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: O: <__ROOT__>
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: true	xmlid: #
36: O:   <Text>	content: abc
36: O:   <Frame>	name: frame2	anchor: AS_CHARACTER
36: O:   <Bookmark>	name: bookmark1	isPoint: false	isStart: false	xmlid: #
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: I:   <Text>	content: abc
36: I:   <Ruby>	rubytext: ruby2
36: I:     <TextField>	content: de
36: I:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: O: <__ROOT__>
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: true
36: O:   <Text>	content: abc
36: O:   <Ruby>	rubytext: ruby2
36: O:     <TextField>	content: 
36: O:   <ReferenceMark>	name: refmark1	isPoint: false	isStart: false
36: text content differs:	expected: de	actual: 
36: E.tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <ReferenceMark>	name: refmark1	isPoint: true	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: I:   <Bookmark>	name: bookmark3	isPoint: true	isStart: false	xmlid: #
36: I:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: I:   <ReferenceMark>	name: refmark5	isPoint: true	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark6	isPoint: true	isStart: false
36: I:   <Bookmark>	name: bookmark7	isPoint: true	isStart: false	xmlid: #
36: I:   <Frame>	name: frame8	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <ReferenceMark>	name: refmark1	isPoint: true	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: O:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: O:   <Bookmark>	name: bookmark3	isPoint: true	isStart: false	xmlid: #
36: O:   <ReferenceMark>	name: refmark5	isPoint: true	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark6	isPoint: true	isStart: false
36: O:   <Frame>	name: frame8	anchor: AT_CHARACTER
36: O:   <Bookmark>	name: bookmark7	isPoint: true	isStart: false	xmlid: #
36: position differs:	expected: 2	actual: 3
36: position differs:	expected: 3	actual: 2
36: position differs:	expected: 6	actual: 7
36: position differs:	expected: 7	actual: 6
36: warning: 4 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: I:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: I:   <Bookmark>	name: bookmark3	isPoint: true	isStart: false	xmlid: #
36: I:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <Frame>	name: frame2	anchor: AT_CHARACTER
36: O:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: O:   <Bookmark>	name: bookmark3	isPoint: true	isStart: false	xmlid: #
36: O:   <Bookmark>	name: bookmark1	isPoint: true	isStart: false	xmlid: #
36: O:   <Text>	content: 
36: position differs:	expected: 0	actual: 3
36: position differs:	expected: 1	actual: 0
36: position differs:	expected: 3	actual: 1
36: unexpected node: <Text>	content: 
36: warning: 3 differences in sequence
36: warning: 1 spurious empty text nodes
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <ReferenceMark>	name: refmark1	isPoint: true	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: I:   <Bookmark>	name: bookmark3	isPoint: true	isStart: false	xmlid: #
36: I:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: I:   <Ruby>	rubytext: ruby6
36: I:   <ReferenceMark>	name: refmark7	isPoint: true	isStart: false
36: I:   <DocumentIndexMark>	name: toxmark8	isPoint: true	isStart: false
36: I:   <Bookmark>	name: bookmark9	isPoint: true	isStart: false	xmlid: #
36: I:   <Frame>	name: frame10	anchor: AT_CHARACTER
36: O: <__ROOT__>
36: O:   <ReferenceMark>	name: refmark1	isPoint: true	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: O:   <Frame>	name: frame4	anchor: AT_CHARACTER
36: O:   <Bookmark>	name: bookmark3	isPoint: true	isStart: false	xmlid: #
36: O:   <Ruby>	rubytext: ruby6
36: O:   <ReferenceMark>	name: refmark7	isPoint: true	isStart: false
36: O:   <DocumentIndexMark>	name: toxmark8	isPoint: true	isStart: false
36: O:   <Frame>	name: frame10	anchor: AT_CHARACTER
36: O:   <Bookmark>	name: bookmark9	isPoint: true	isStart: false	xmlid: #
36: position differs:	expected: 2	actual: 3
36: position differs:	expected: 3	actual: 2
36: position differs:	expected: 7	actual: 8
36: position differs:	expected: 8	actual: 7
36: warning: 4 differences in sequence
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: I:   <Bookmark>	name: bookmark2	isPoint: false	isStart: true	xmlid: #
36: I:   <Text>	content: abc
36: I:   <Ruby>	rubytext: ruby3
36: I:     <Text>	content: de
36: I:     <Footnote>	label: ftn4
36: I:     <Bookmark>	name: bookmark2	isPoint: false	isStart: false	xmlid: #
36: I:   <Text>	content: fg
36: I:   <Frame>	name: frame5	anchor: AT_CHARACTER
36: I:   <TextField>	content: h
36: O: <__ROOT__>
36: O:   <Frame>	name: frame1	anchor: AT_CHARACTER
36: O:   <Bookmark>	name: bookmark2	isPoint: false	isStart: true	xmlid: #
36: O:   <Text>	content: abc
36: O:   <Ruby>	rubytext: ruby3
36: O:     <Text>	content: de
36: O:     <Footnote>	label: ftn4
36: O:     <Bookmark>	name: bookmark2	isPoint: false	isStart: false	xmlid: #
36: O:   <Text>	content: fg
36: O:   <Frame>	name: frame5	anchor: AT_CHARACTER
36: O:   <TextField>	content: h
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 12345
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 12345
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 12
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 34
36: I:   <Text>	content: 56789
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 12
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 34
36: O:   <Text>	content: 56789
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 12
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 3
36: I:   <Hyperlink>	url: url3
36: I:     <Text>	content: 4567
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 12
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 3
36: O:   <Hyperlink>	url: url3
36: O:     <Text>	content: 4567
36: O:   <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 12
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 3
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 4567
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 12
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 3
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 4567
36: O:   <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 12
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 3
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 4
36: I:   <Hyperlink>	url: url5
36: I:     <Text>	content: 56
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 7
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 12
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 3
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 4
36: O:   <Hyperlink>	url: url5
36: O:     <Text>	content: 56
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 7
36: O:   <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 12
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 3
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 4
36: I:   <Hyperlink>	url: url5
36: I:     <Text>	content: 56
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 7
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 12
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 3
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 4
36: O:   <Hyperlink>	url: url5
36: O:     <Text>	content: 56
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 7
36: O:   <Text>	content: 89
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 34
36: I:   <Text>	content: 56789
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 34
36: O:   <Text>	content: 56789
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby3
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby3
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby3
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby3
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby3
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6
36: I:   <Hyperlink>	url: url5
36: I:     <Text>	content: 7
36: I:   <Ruby>	rubytext: ruby6
36: I:     <Hyperlink>	url: url5
36: I:       <Text>	content: 8
36: I:   <Hyperlink>	url: url5
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby3
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6
36: O:   <Hyperlink>	url: url5
36: O:     <Text>	content: 7
36: O:   <Ruby>	rubytext: ruby6
36: O:     <Hyperlink>	url: url5
36: O:       <Text>	content: 8
36: O:   <Hyperlink>	url: url5
36: O:     <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Hyperlink>	url: url2
36: I:       <Text>	content: 23
36: I:     <Text>	content: 456
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Hyperlink>	url: url2
36: O:       <Text>	content: 23
36: O:     <Text>	content: 456
36: O:   <Text>	content: 789
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Hyperlink>	url: url2
36: I:       <Text>	content: 23
36: I:     <Text>	content: 45
36: I:     <Hyperlink>	url: url3
36: I:       <Text>	content: 6
36: I:   <Hyperlink>	url: url3
36: I:     <Text>	content: 7
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Hyperlink>	url: url2
36: O:       <Text>	content: 23
36: O:     <Text>	content: 45
36: O:     <Hyperlink>	url: url3
36: O:       <Text>	content: 6
36: O:   <Hyperlink>	url: url3
36: O:     <Text>	content: 7
36: O:   <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Hyperlink>	url: url4
36: I:       <Text>	content: 23456
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 78
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Hyperlink>	url: url4
36: O:       <Text>	content: 23456
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 78
36: O:   <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Hyperlink>	url: url4
36: I:       <Text>	content: 23
36: I:     <Hyperlink>	url: url5
36: I:       <Text>	content: 45
36: I:     <Hyperlink>	url: url4
36: I:       <Text>	content: 6
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 78
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Hyperlink>	url: url4
36: O:       <Text>	content: 23
36: O:     <Hyperlink>	url: url5
36: O:       <Text>	content: 45
36: O:     <Hyperlink>	url: url4
36: O:       <Text>	content: 6
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 78
36: O:   <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 12
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 34
36: I:   <Text>	content: 56789
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 12
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 34
36: O:   <Text>	content: 56789
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 12
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby3
36: I:     <Text>	content: 4567
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 12
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby3
36: O:     <Text>	content: 4567
36: O:   <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 12
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Text>	content: 4567
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 12
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Text>	content: 4567
36: O:   <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 12
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Text>	content: 4
36: I:   <Ruby>	rubytext: ruby5
36: I:     <Text>	content: 56
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Text>	content: 7
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 12
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Text>	content: 4
36: O:   <Ruby>	rubytext: ruby5
36: O:     <Text>	content: 56
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Text>	content: 7
36: O:   <Text>	content: 89
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 34
36: I:   <Text>	content: 56789
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 34
36: O:   <Text>	content: 56789
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 3
36: I:   <InContentMetadata>	xmlid: content.xml#id3
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 3
36: O:   <InContentMetadata>	xmlid: content.xml#id3
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <InContentMetadata>	xmlid: content.xml#id4
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 3
36: I:   <InContentMetadata>	xmlid: content.xml#id3
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <InContentMetadata>	xmlid: content.xml#id4
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 3
36: O:   <InContentMetadata>	xmlid: content.xml#id3
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 2
36: I:   <InContentMetadata>	xmlid: content.xml#id4
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 3
36: I:   <InContentMetadata>	xmlid: content.xml#id3
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6
36: I:   <Hyperlink>	url: url5
36: I:     <Text>	content: 7
36: I:   <InContentMetadata>	xmlid: content.xml#id6
36: I:     <Hyperlink>	url: url5
36: I:       <Text>	content: 8
36: I:   <Hyperlink>	url: url5
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 2
36: O:   <InContentMetadata>	xmlid: content.xml#id4
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 3
36: O:   <InContentMetadata>	xmlid: content.xml#id3
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6
36: O:   <Hyperlink>	url: url5
36: O:     <Text>	content: 7
36: O:   <InContentMetadata>	xmlid: content.xml#id6
36: O:     <Hyperlink>	url: url5
36: O:       <Text>	content: 8
36: O:   <Hyperlink>	url: url5
36: O:     <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 2
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 34
36: I:   <Text>	content: 56789
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 2
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 34
36: O:   <Text>	content: 56789
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 2
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 3
36: I:   <InContentMetadata>	xmlid: content.xml#id3
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 2
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 3
36: O:   <InContentMetadata>	xmlid: content.xml#id3
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 2
36: I:   <InContentMetadata>	xmlid: content.xml#id4
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 3
36: I:   <InContentMetadata>	xmlid: content.xml#id3
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 2
36: O:   <InContentMetadata>	xmlid: content.xml#id4
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 3
36: O:   <InContentMetadata>	xmlid: content.xml#id3
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: 1
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 2
36: I:   <InContentMetadata>	xmlid: content.xml#id4
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 3
36: I:   <InContentMetadata>	xmlid: content.xml#id3
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 4
36: I:     <Text>	content: 5
36: I:   <Text>	content: 6
36: I:   <Ruby>	rubytext: ruby5
36: I:     <Text>	content: 7
36: I:     <InContentMetadata>	xmlid: content.xml#id6
36: I:       <Text>	content: 8
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: 1
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 2
36: O:   <InContentMetadata>	xmlid: content.xml#id4
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 3
36: O:   <InContentMetadata>	xmlid: content.xml#id3
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 4
36: O:     <Text>	content: 5
36: O:   <Text>	content: 6
36: O:   <Ruby>	rubytext: ruby5
36: O:     <Text>	content: 7
36: O:     <InContentMetadata>	xmlid: content.xml#id6
36: O:       <Text>	content: 8
36: O:     <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Hyperlink>	url: url2
36: I:       <Text>	content: 23
36: I:     <Text>	content: 456
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Hyperlink>	url: url2
36: O:       <Text>	content: 23
36: O:     <Text>	content: 456
36: O:   <Text>	content: 789
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Hyperlink>	url: url2
36: I:       <Text>	content: 23
36: I:     <Text>	content: 45
36: I:     <Hyperlink>	url: url3
36: I:       <Text>	content: 6
36: I:   <Hyperlink>	url: url3
36: I:     <Text>	content: 7
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Hyperlink>	url: url2
36: O:       <Text>	content: 23
36: O:     <Text>	content: 45
36: O:     <Hyperlink>	url: url3
36: O:       <Text>	content: 6
36: O:   <Hyperlink>	url: url3
36: O:     <Text>	content: 7
36: O:   <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Hyperlink>	url: url4
36: I:       <Text>	content: 23456
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 78
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Hyperlink>	url: url4
36: O:       <Text>	content: 23456
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 78
36: O:   <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Hyperlink>	url: url2
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Hyperlink>	url: url4
36: I:       <Text>	content: 23
36: I:     <Hyperlink>	url: url5
36: I:       <Text>	content: 45
36: I:     <Hyperlink>	url: url4
36: I:       <Text>	content: 6
36: I:   <Hyperlink>	url: url4
36: I:     <Text>	content: 78
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Hyperlink>	url: url2
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Hyperlink>	url: url4
36: O:       <Text>	content: 23
36: O:     <Hyperlink>	url: url5
36: O:       <Text>	content: 45
36: O:     <Hyperlink>	url: url4
36: O:       <Text>	content: 6
36: O:   <Hyperlink>	url: url4
36: O:     <Text>	content: 78
36: O:   <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Ruby>	rubytext: ruby2
36: I:       <Text>	content: 2
36: I:     <Text>	content: 345
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Ruby>	rubytext: ruby2
36: O:       <Text>	content: 2
36: O:     <Text>	content: 345
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Ruby>	rubytext: ruby2
36: I:       <Text>	content: 2
36: I:     <Text>	content: 34
36: I:     <Ruby>	rubytext: ruby3
36: I:       <Text>	content: 5
36: I:   <Ruby>	rubytext: ruby3
36: I:     <Text>	content: 6
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Ruby>	rubytext: ruby2
36: O:       <Text>	content: 2
36: O:     <Text>	content: 34
36: O:     <Ruby>	rubytext: ruby3
36: O:       <Text>	content: 5
36: O:   <Ruby>	rubytext: ruby3
36: O:     <Text>	content: 6
36: O:   <Text>	content: 789
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby4
36: I:     <InContentMetadata>	xmlid: content.xml#id1
36: I:       <Text>	content: 2345
36: I:     <Text>	content: 6
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby4
36: O:     <InContentMetadata>	xmlid: content.xml#id1
36: O:       <Text>	content: 2345
36: O:     <Text>	content: 6
36: O:   <Text>	content: 789
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby4
36: I:     <InContentMetadata>	xmlid: content.xml#id1
36: I:       <Text>	content: 2345
36: I:     <Text>	content: 6
36: I:   <InContentMetadata>	xmlid: content.xml#id5
36: I:     <Text>	content: 7
36: I:     <Ruby>	rubytext: ruby6
36: I:       <Text>	content: 8
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby4
36: O:     <InContentMetadata>	xmlid: content.xml#id1
36: O:       <Text>	content: 2345
36: O:     <Text>	content: 6
36: O:   <InContentMetadata>	xmlid: content.xml#id5
36: O:     <Text>	content: 7
36: O:     <Ruby>	rubytext: ruby6
36: O:       <Text>	content: 8
36: O:   <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby4
36: I:     <InContentMetadata>	xmlid: content.xml#id1
36: I:       <Text>	content: 2345
36: I:     <Text>	content: 6
36: I:   <InContentMetadata>	xmlid: content.xml#id5
36: I:     <Ruby>	rubytext: ruby7
36: I:       <Text>	content: 7
36: I:     <Ruby>	rubytext: ruby6
36: I:       <Text>	content: 8
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby4
36: O:     <InContentMetadata>	xmlid: content.xml#id1
36: O:       <Text>	content: 2345
36: O:     <Text>	content: 6
36: O:   <InContentMetadata>	xmlid: content.xml#id5
36: O:     <Ruby>	rubytext: ruby7
36: O:       <Text>	content: 7
36: O:     <Ruby>	rubytext: ruby6
36: O:       <Text>	content: 8
36: O:   <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby2
36: I:     <Text>	content: 1
36: I:   <Ruby>	rubytext: ruby4
36: I:     <InContentMetadata>	xmlid: content.xml#id1
36: I:       <Text>	content: 2345
36: I:     <Text>	content: 6
36: I:   <Ruby>	rubytext: ruby8
36: I:     <InContentMetadata>	xmlid: content.xml#id5
36: I:       <Text>	content: 78
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby2
36: O:     <Text>	content: 1
36: O:   <Ruby>	rubytext: ruby4
36: O:     <InContentMetadata>	xmlid: content.xml#id1
36: O:       <Text>	content: 2345
36: O:     <Text>	content: 6
36: O:   <Ruby>	rubytext: ruby8
36: O:     <InContentMetadata>	xmlid: content.xml#id5
36: O:       <Text>	content: 78
36: O:   <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 123
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 456
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Text>	content: 123
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 456
36: O:   <Text>	content: 789
36: I: <__ROOT__>
36: I:   <Text>	content: 123
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 456
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Text>	content: 123
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 456
36: O:   <Text>	content: 789
36: I: <__ROOT__>
36: I:   <Text>	content: 123
36: I:   <InContentMetadata>	xmlid: content.xml#id4
36: I:     <InContentMetadata>	xmlid: content.xml#id1
36: I:       <Text>	content: 456
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Text>	content: 123
36: O:   <InContentMetadata>	xmlid: content.xml#id4
36: O:     <InContentMetadata>	xmlid: content.xml#id1
36: O:       <Text>	content: 456
36: O:   <Text>	content: 789
36: I: <__ROOT__>
36: I:   <Text>	content: 123
36: I:   <InContentMetadata>	xmlid: content.xml#id4
36: I:     <InContentMetadata>	xmlid: content.xml#id1
36: I:       <Text>	content: 4
36: I:       <InContentMetadata>	xmlid: content.xml#id5
36: I:         <Text>	content: 56
36: I:   <Text>	content: 789
36: O: <__ROOT__>
36: O:   <Text>	content: 123
36: O:   <InContentMetadata>	xmlid: content.xml#id4
36: O:     <InContentMetadata>	xmlid: content.xml#id1
36: O:       <Text>	content: 4
36: O:       <InContentMetadata>	xmlid: content.xml#id5
36: O:         <Text>	content: 56
36: O:   <Text>	content: 789
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 2
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Text>	content: 3
36: I:       <InContentMetadata>	xmlid: content.xml#id3
36: I:         <Text>	content: 456
36: I:       <Text>	content: 7
36: I:     <Text>	content: 8
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 2
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Text>	content: 3
36: O:       <InContentMetadata>	xmlid: content.xml#id3
36: O:         <Text>	content: 456
36: O:       <Text>	content: 7
36: O:     <Text>	content: 8
36: O:   <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Ruby>	rubytext: ruby4
36: I:       <Text>	content: 2
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Ruby>	rubytext: ruby4
36: I:         <Text>	content: 3
36: I:       <InContentMetadata>	xmlid: content.xml#id3
36: I:         <Ruby>	rubytext: ruby4
36: I:           <Text>	content: 4
36: I:         <Text>	content: 56
36: I:       <Text>	content: 7
36: I:     <Text>	content: 8
36: I:   <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Ruby>	rubytext: ruby4
36: O:       <Text>	content: 2
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Ruby>	rubytext: ruby4
36: O:         <Text>	content: 3
36: O:       <InContentMetadata>	xmlid: content.xml#id3
36: O:         <Ruby>	rubytext: ruby4
36: O:           <Text>	content: 4
36: O:         <Text>	content: 56
36: O:       <Text>	content: 7
36: O:     <Text>	content: 8
36: O:   <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Ruby>	rubytext: ruby4
36: I:       <Text>	content: 2
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Ruby>	rubytext: ruby4
36: I:         <Text>	content: 3
36: I:       <InContentMetadata>	xmlid: content.xml#id3
36: I:         <Ruby>	rubytext: ruby4
36: I:           <Text>	content: 4
36: I:         <Text>	content: 5
36: I:         <Ruby>	rubytext: ruby5
36: I:           <Text>	content: 6
36: I:       <Ruby>	rubytext: ruby5
36: I:         <Text>	content: 7
36: I:     <Ruby>	rubytext: ruby5
36: I:       <Text>	content: 8
36: I:   <Ruby>	rubytext: ruby5
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Ruby>	rubytext: ruby4
36: O:       <Text>	content: 2
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Ruby>	rubytext: ruby4
36: O:         <Text>	content: 3
36: O:       <InContentMetadata>	xmlid: content.xml#id3
36: O:         <Ruby>	rubytext: ruby4
36: O:           <Text>	content: 4
36: O:         <Text>	content: 5
36: O:         <Ruby>	rubytext: ruby5
36: O:           <Text>	content: 6
36: O:       <Ruby>	rubytext: ruby5
36: O:         <Text>	content: 7
36: O:     <Ruby>	rubytext: ruby5
36: O:       <Text>	content: 8
36: O:   <Ruby>	rubytext: ruby5
36: O:     <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 12
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Text>	content: 34567
36: I:     <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 12
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Text>	content: 34567
36: O:     <Text>	content: 89
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 34
36: I:     <Ruby>	rubytext: ruby3
36: I:       <Text>	content: 5
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 67
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 34
36: O:     <Ruby>	rubytext: ruby3
36: O:       <Text>	content: 5
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 67
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 89
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 1
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Text>	content: 2
36: I:       <InContentMetadata>	xmlid: content.xml#id3
36: I:         <Text>	content: 3
36: I:         <InContentMetadata>	xmlid: content.xml#id4
36: I:           <Text>	content: 456
36: I:         <Text>	content: 7
36: I:       <Text>	content: 8
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 1
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Text>	content: 2
36: O:       <InContentMetadata>	xmlid: content.xml#id3
36: O:         <Text>	content: 3
36: O:         <InContentMetadata>	xmlid: content.xml#id4
36: O:           <Text>	content: 456
36: O:         <Text>	content: 7
36: O:       <Text>	content: 8
36: O:     <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 2
36: I:     <InContentMetadata>	xmlid: content.xml#id3
36: I:       <Ruby>	rubytext: ruby1
36: I:         <Text>	content: 3
36: I:       <InContentMetadata>	xmlid: content.xml#id4
36: I:         <Ruby>	rubytext: ruby1
36: I:           <Text>	content: 4
36: I:         <Ruby>	rubytext: ruby5
36: I:           <Text>	content: 5
36: I:         <Ruby>	rubytext: ruby1
36: I:           <Text>	content: 6
36: I:       <Ruby>	rubytext: ruby1
36: I:         <Text>	content: 7
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 8
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 2
36: O:     <InContentMetadata>	xmlid: content.xml#id3
36: O:       <Ruby>	rubytext: ruby1
36: O:         <Text>	content: 3
36: O:       <InContentMetadata>	xmlid: content.xml#id4
36: O:         <Ruby>	rubytext: ruby1
36: O:           <Text>	content: 4
36: O:         <Ruby>	rubytext: ruby5
36: O:           <Text>	content: 5
36: O:         <Ruby>	rubytext: ruby1
36: O:           <Text>	content: 6
36: O:       <Ruby>	rubytext: ruby1
36: O:         <Text>	content: 7
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 8
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 1
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Text>	content: 23
36: I:     <Text>	content: 4
36: I:     <InContentMetadata>	xmlid: content.xml#id3
36: I:       <Text>	content: 5
36: I:     <Text>	content: 6
36: I:     <InContentMetadata>	xmlid: content.xml#id4
36: I:       <Text>	content: 78
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 1
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Text>	content: 23
36: O:     <Text>	content: 4
36: O:     <InContentMetadata>	xmlid: content.xml#id3
36: O:       <Text>	content: 5
36: O:     <Text>	content: 6
36: O:     <InContentMetadata>	xmlid: content.xml#id4
36: O:       <Text>	content: 78
36: O:     <Text>	content: 9
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 2
36: I:     <Ruby>	rubytext: ruby5
36: I:       <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby5
36: I:     <Text>	content: 4
36: I:     <InContentMetadata>	xmlid: content.xml#id3
36: I:       <Text>	content: 5
36: I:     <Text>	content: 6
36: I:   <InContentMetadata>	xmlid: content.xml#id4
36: I:     <Ruby>	rubytext: ruby5
36: I:       <Text>	content: 7
36: I:     <Ruby>	rubytext: ruby1
36: I:       <Text>	content: 8
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 2
36: O:     <Ruby>	rubytext: ruby5
36: O:       <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby5
36: O:     <Text>	content: 4
36: O:     <InContentMetadata>	xmlid: content.xml#id3
36: O:       <Text>	content: 5
36: O:     <Text>	content: 6
36: O:   <InContentMetadata>	xmlid: content.xml#id4
36: O:     <Ruby>	rubytext: ruby5
36: O:       <Text>	content: 7
36: O:     <Ruby>	rubytext: ruby1
36: O:       <Text>	content: 8
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 2
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Text>	content: 3
36: I:       <InContentMetadata>	xmlid: content.xml#id3
36: I:         <Text>	content: 45
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 2
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Text>	content: 3
36: O:       <InContentMetadata>	xmlid: content.xml#id3
36: O:         <Text>	content: 45
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 2
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:       <Text>	content: 3
36: I:       <InContentMetadata>	xmlid: content.xml#id3
36: I:         <Text>	content: 4
36: I:         <Ruby>	rubytext: ruby4
36: I:           <Text>	content: 5
36: I:   <Ruby>	rubytext: ruby4
36: I:     <Text>	content: 67
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 2
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:       <Text>	content: 3
36: O:       <InContentMetadata>	xmlid: content.xml#id3
36: O:         <Text>	content: 4
36: O:         <Ruby>	rubytext: ruby4
36: O:           <Text>	content: 5
36: O:   <Ruby>	rubytext: ruby4
36: O:     <Text>	content: 67
36: O:   <Text>	content: 89
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 1
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 23
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 45
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 1
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 23
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 45
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 1
36: I:   <Hyperlink>	url: url1
36: I:     <Text>	content: 23
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Hyperlink>	url: url1
36: I:       <Text>	content: 4
36: I:     <Ruby>	rubytext: ruby3
36: I:       <Hyperlink>	url: url1
36: I:         <Text>	content: 5
36: I:   <Ruby>	rubytext: ruby3
36: I:     <Text>	content: 67
36: I:   <Text>	content: 89
36: O: <__ROOT__>
36: O:   <Text>	content: 1
36: O:   <Hyperlink>	url: url1
36: O:     <Text>	content: 23
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Hyperlink>	url: url1
36: O:       <Text>	content: 4
36: O:     <Ruby>	rubytext: ruby3
36: O:       <Hyperlink>	url: url1
36: O:         <Text>	content: 5
36: O:   <Ruby>	rubytext: ruby3
36: O:     <Text>	content: 67
36: O:   <Text>	content: 89
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 1
36: I:   <Text>	content: 2
36: I:   <InContentMetadata>	xmlid: content.xml#id2
36: I:     <MetadataField>	xmlid: content.xml#id3
36: I:       <Text>	content: 34
36: I:       <InContentMetadata>	xmlid: content.xml#id4
36: I:         <Text>	content: 56
36: I:       <InContentMetadata>	xmlid: content.xml#id5
36: I:       <Text>	content: 7
36: I:   <Text>	content: 8
36: I:   <MetadataField>	xmlid: content.xml#id6
36: I:     <Text>	content: 9
36: O: <__ROOT__>
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 1
36: O:   <Text>	content: 2
36: O:   <InContentMetadata>	xmlid: content.xml#id2
36: O:     <MetadataField>	xmlid: content.xml#id3
36: O:       <Text>	content: 34
36: O:       <InContentMetadata>	xmlid: content.xml#id4
36: O:         <Text>	content: 56
36: O:       <InContentMetadata>	xmlid: content.xml#id5
36: O:       <Text>	content: 7
36: O:   <Text>	content: 8
36: O:   <MetadataField>	xmlid: content.xml#id6
36: O:     <Text>	content: 9
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: f1
36: I:     <Text>	content: 45
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: f1
36: O:     <Text>	content: 45
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: f1
36: I:     <Text>	content: 45
36: I:     <TextField>	content: f2
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: f1
36: O:     <Text>	content: 45
36: O:     <TextField>	content: f2
36: O:   <Text>	content: 6789
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <DocumentIndexMark>	name: toxmark3	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <DocumentIndexMark>	name: toxmark2	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <DocumentIndexMark>	name: toxmark3	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <DocumentIndexMark>	name: toxmark4	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <DocumentIndexMark>	name: toxmark5	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <DocumentIndexMark>	name: toxmark4	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <DocumentIndexMark>	name: toxmark5	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <DocumentIndexMark>	name: toxmark6	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <DocumentIndexMark>	name: toxmark7	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <DocumentIndexMark>	name: toxmark6	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <DocumentIndexMark>	name: toxmark7	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <DocumentIndexMark>	name: toxmark8	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <DocumentIndexMark>	name: toxmark9	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <DocumentIndexMark>	name: toxmark8	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <DocumentIndexMark>	name: toxmark9	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <DocumentIndexMark>	name: toxmark10	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <DocumentIndexMark>	name: toxmark11	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <DocumentIndexMark>	name: toxmark10	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <DocumentIndexMark>	name: toxmark11	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <ReferenceMark>	name: refmark2	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <ReferenceMark>	name: refmark3	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <ReferenceMark>	name: refmark2	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <ReferenceMark>	name: refmark3	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <ReferenceMark>	name: refmark4	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <ReferenceMark>	name: refmark5	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <ReferenceMark>	name: refmark4	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <ReferenceMark>	name: refmark5	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <ReferenceMark>	name: refmark6	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <ReferenceMark>	name: refmark7	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <ReferenceMark>	name: refmark6	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <ReferenceMark>	name: refmark7	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <ReferenceMark>	name: refmark8	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <ReferenceMark>	name: refmark9	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <ReferenceMark>	name: refmark8	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <ReferenceMark>	name: refmark9	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <ReferenceMark>	name: refmark10	isPoint: true	isStart: false
36: I:     <Text>	content: AB
36: I:     <ReferenceMark>	name: refmark11	isPoint: true	isStart: false
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <ReferenceMark>	name: refmark10	isPoint: true	isStart: false
36: O:     <Text>	content: AB
36: O:     <ReferenceMark>	name: refmark11	isPoint: true	isStart: false
36: O:   <Text>	content: 6789
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: field2
36: I:     <Text>	content: AB
36: I:     <TextField>	content: field3
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: field2
36: O:     <Text>	content: AB
36: O:     <TextField>	content: field3
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: field4
36: I:     <Text>	content: AB
36: I:     <TextField>	content: field5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: field4
36: O:     <Text>	content: AB
36: O:     <TextField>	content: field5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: field6
36: I:     <Text>	content: AB
36: I:     <TextField>	content: field7
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: field6
36: O:     <Text>	content: AB
36: O:     <TextField>	content: field7
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: field8
36: I:     <Text>	content: AB
36: I:     <TextField>	content: field9
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: field8
36: O:     <Text>	content: AB
36: O:     <TextField>	content: field9
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: field10
36: I:     <Text>	content: AB
36: I:     <TextField>	content: field11
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: field10
36: O:     <Text>	content: AB
36: O:     <TextField>	content: field11
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: field12
36: I:     <Text>	content: AB
36: I:     <TextField>	content: field13
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: field12
36: O:     <Text>	content: AB
36: O:     <TextField>	content: field13
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <TextField>	content: field14
36: I:     <Text>	content: AB
36: I:     <TextField>	content: field15
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <TextField>	content: field14
36: O:     <Text>	content: AB
36: O:     <TextField>	content: field15
36: O:   <Text>	content: 6789
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Footnote>	label: ftn2
36: I:     <Text>	content: AB
36: I:     <Footnote>	label: ftn3
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Footnote>	label: ftn2
36: O:     <Text>	content: AB
36: O:     <Footnote>	label: ftn3
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Footnote>	label: ftn4
36: I:     <Text>	content: AB
36: I:     <Footnote>	label: ftn5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Footnote>	label: ftn4
36: O:     <Text>	content: AB
36: O:     <Footnote>	label: ftn5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Footnote>	label: ftn6
36: I:     <Text>	content: AB
36: I:     <Footnote>	label: ftn7
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Footnote>	label: ftn6
36: O:     <Text>	content: AB
36: O:     <Footnote>	label: ftn7
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Footnote>	label: ftn8
36: I:     <Text>	content: AB
36: I:     <Footnote>	label: ftn9
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Footnote>	label: ftn8
36: O:     <Text>	content: AB
36: O:     <Footnote>	label: ftn9
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Footnote>	label: ftn10
36: I:     <Text>	content: AB
36: I:     <Footnote>	label: ftn11
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Footnote>	label: ftn10
36: O:     <Text>	content: AB
36: O:     <Footnote>	label: ftn11
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Footnote>	label: ftn12
36: I:     <Text>	content: AB
36: I:     <Footnote>	label: ftn13
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Footnote>	label: ftn12
36: O:     <Text>	content: AB
36: O:     <Footnote>	label: ftn13
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Footnote>	label: ftn14
36: I:     <Text>	content: AB
36: I:     <Footnote>	label: ftn15
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Footnote>	label: ftn14
36: O:     <Text>	content: AB
36: O:     <Footnote>	label: ftn15
36: O:   <Text>	content: 6789
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <InContentMetadata>	xmlid: content.xml#id2
36: I:     <Text>	content: AB
36: I:     <InContentMetadata>	xmlid: content.xml#id3
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <InContentMetadata>	xmlid: content.xml#id2
36: O:     <Text>	content: AB
36: O:     <InContentMetadata>	xmlid: content.xml#id3
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <InContentMetadata>	xmlid: content.xml#id4
36: I:     <Text>	content: AB
36: I:     <InContentMetadata>	xmlid: content.xml#id5
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <InContentMetadata>	xmlid: content.xml#id4
36: O:     <Text>	content: AB
36: O:     <InContentMetadata>	xmlid: content.xml#id5
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <InContentMetadata>	xmlid: content.xml#id6
36: I:     <Text>	content: AB
36: I:     <InContentMetadata>	xmlid: content.xml#id7
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <InContentMetadata>	xmlid: content.xml#id6
36: O:     <Text>	content: AB
36: O:     <InContentMetadata>	xmlid: content.xml#id7
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <InContentMetadata>	xmlid: content.xml#id8
36: I:     <Text>	content: AB
36: I:     <InContentMetadata>	xmlid: content.xml#id9
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <InContentMetadata>	xmlid: content.xml#id8
36: O:     <Text>	content: AB
36: O:     <InContentMetadata>	xmlid: content.xml#id9
36: O:   <Text>	content: 6789
36: I: <__ROOT__>
36: I:   <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <InContentMetadata>	xmlid: content.xml#id10
36: I:     <Text>	content: AB
36: I:     <InContentMetadata>	xmlid: content.xml#id11
36: I:   <Text>	content: 6789
36: O: <__ROOT__>
36: O:   <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <InContentMetadata>	xmlid: content.xml#id10
36: O:     <Text>	content: AB
36: O:     <InContentMetadata>	xmlid: content.xml#id11
36: O:   <Text>	content: 6789
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: NumberFormat: default is -1
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: Loading test document...
36: ...done
36: Checking meta(-field)s in loaded test document...
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 2
36: I:   <MetadataField>	xmlid: content.xml#id2
36: I:     <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby2
36: I:     <InContentMetadata>	xmlid: content.xml#id3
36: I:       <Text>	content: 4
36: I:   <Ruby>	rubytext: ruby3
36: I:     <MetadataField>	xmlid: content.xml#id4
36: I:       <Text>	content: 5
36: I:   <InContentMetadata>	xmlid: content.xml#id5
36: I:     <Ruby>	rubytext: ruby4
36: I:       <Text>	content: 6
36: I:   <MetadataField>	xmlid: content.xml#id6
36: I:     <Ruby>	rubytext: ruby5
36: I:       <Text>	content: 7
36: I:   <InContentMetadata>	xmlid: content.xml#id7
36: I:     <InContentMetadata>	xmlid: content.xml#id8
36: I:       <Text>	content: 8
36: I:   <InContentMetadata>	xmlid: content.xml#id9
36: I:     <MetadataField>	xmlid: content.xml#id10
36: I:       <Text>	content: 9
36: I:   <MetadataField>	xmlid: content.xml#id11
36: I:     <InContentMetadata>	xmlid: content.xml#id12
36: I:       <Text>	content: 10
36: I:   <MetadataField>	xmlid: content.xml#id13
36: I:     <MetadataField>	xmlid: content.xml#id14
36: I:       <Text>	content: 11
36: I:   <InContentMetadata>	xmlid: content.xml#id15
36: I:     <Ruby>	rubytext: ruby6
36: I:       <MetadataField>	xmlid: content.xml#id16
36: I:         <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#
36: I:     <Text>	content: 13
36: I:   <Text>	content:  X X 
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 2
36: O:   <MetadataField>	xmlid: content.xml#id2
36: O:     <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby2
36: O:     <InContentMetadata>	xmlid: content.xml#id3
36: O:       <Text>	content: 4
36: O:   <Ruby>	rubytext: ruby3
36: O:     <MetadataField>	xmlid: content.xml#id4
36: O:       <Text>	content: 5
36: O:   <InContentMetadata>	xmlid: content.xml#id5
36: O:     <Ruby>	rubytext: ruby4
36: O:       <Text>	content: 6
36: O:   <MetadataField>	xmlid: content.xml#id6
36: O:     <Ruby>	rubytext: ruby5
36: O:       <Text>	content: 7
36: O:   <InContentMetadata>	xmlid: content.xml#id7
36: O:     <InContentMetadata>	xmlid: content.xml#id8
36: O:       <Text>	content: 8
36: O:   <InContentMetadata>	xmlid: content.xml#id9
36: O:     <MetadataField>	xmlid: content.xml#id10
36: O:       <Text>	content: 9
36: O:   <MetadataField>	xmlid: content.xml#id11
36: O:     <InContentMetadata>	xmlid: content.xml#id12
36: O:       <Text>	content: 10
36: O:   <MetadataField>	xmlid: content.xml#id13
36: O:     <MetadataField>	xmlid: content.xml#id14
36: O:       <Text>	content: 11
36: O:   <InContentMetadata>	xmlid: content.xml#id15
36: O:     <Ruby>	rubytext: ruby6
36: O:       <MetadataField>	xmlid: content.xml#id16
36: O:         <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id4517882
36: O:     <Text>	content: 13
36: O:   <Text>	content:  X X 
36: ...done
36: Storing test document...
36: ...done
36: Loading test document...
36: ...done
36: Checking meta(-field)s in loaded test document...
36: I: <__ROOT__>
36: I:   <Ruby>	rubytext: ruby1
36: I:     <Text>	content: 1
36: I:   <InContentMetadata>	xmlid: content.xml#id1
36: I:     <Text>	content: 2
36: I:   <MetadataField>	xmlid: content.xml#id2
36: I:     <Text>	content: 3
36: I:   <Ruby>	rubytext: ruby2
36: I:     <InContentMetadata>	xmlid: content.xml#id3
36: I:       <Text>	content: 4
36: I:   <Ruby>	rubytext: ruby3
36: I:     <MetadataField>	xmlid: content.xml#id4
36: I:       <Text>	content: 5
36: I:   <InContentMetadata>	xmlid: content.xml#id5
36: I:     <Ruby>	rubytext: ruby4
36: I:       <Text>	content: 6
36: I:   <MetadataField>	xmlid: content.xml#id6
36: I:     <Ruby>	rubytext: ruby5
36: I:       <Text>	content: 7
36: I:   <InContentMetadata>	xmlid: content.xml#id7
36: I:     <InContentMetadata>	xmlid: content.xml#id8
36: I:       <Text>	content: 8
36: I:   <InContentMetadata>	xmlid: content.xml#id9
36: I:     <MetadataField>	xmlid: content.xml#id10
36: I:       <Text>	content: 9
36: I:   <MetadataField>	xmlid: content.xml#id11
36: I:     <InContentMetadata>	xmlid: content.xml#id12
36: I:       <Text>	content: 10
36: I:   <MetadataField>	xmlid: content.xml#id13
36: I:     <MetadataField>	xmlid: content.xml#id14
36: I:       <Text>	content: 11
36: I:   <InContentMetadata>	xmlid: content.xml#id15
36: I:     <Ruby>	rubytext: ruby6
36: I:       <MetadataField>	xmlid: content.xml#id16
36: I:         <Text>	content: 12
36: I:   <InContentMetadata>	xmlid: content.xml#
36: I:     <Text>	content: 13
36: I:   <Text>	content:  X X 
36: O: <__ROOT__>
36: O:   <Ruby>	rubytext: ruby1
36: O:     <Text>	content: 1
36: O:   <InContentMetadata>	xmlid: content.xml#id1
36: O:     <Text>	content: 2
36: O:   <MetadataField>	xmlid: content.xml#id2
36: O:     <Text>	content: 3
36: O:   <Ruby>	rubytext: ruby2
36: O:     <InContentMetadata>	xmlid: content.xml#id3
36: O:       <Text>	content: 4
36: O:   <Ruby>	rubytext: ruby3
36: O:     <MetadataField>	xmlid: content.xml#id4
36: O:       <Text>	content: 5
36: O:   <InContentMetadata>	xmlid: content.xml#id5
36: O:     <Ruby>	rubytext: ruby4
36: O:       <Text>	content: 6
36: O:   <MetadataField>	xmlid: content.xml#id6
36: O:     <Ruby>	rubytext: ruby5
36: O:       <Text>	content: 7
36: O:   <InContentMetadata>	xmlid: content.xml#id7
36: O:     <InContentMetadata>	xmlid: content.xml#id8
36: O:       <Text>	content: 8
36: O:   <InContentMetadata>	xmlid: content.xml#id9
36: O:     <MetadataField>	xmlid: content.xml#id10
36: O:       <Text>	content: 9
36: O:   <MetadataField>	xmlid: content.xml#id11
36: O:     <InContentMetadata>	xmlid: content.xml#id12
36: O:       <Text>	content: 10
36: O:   <MetadataField>	xmlid: content.xml#id13
36: O:     <MetadataField>	xmlid: content.xml#id14
36: O:       <Text>	content: 11
36: O:   <InContentMetadata>	xmlid: content.xml#id15
36: O:     <Ruby>	rubytext: ruby6
36: O:       <MetadataField>	xmlid: content.xml#id16
36: O:         <Text>	content: 12
36: O:   <InContentMetadata>	xmlid: content.xml#id4517882
36: O:     <Text>	content: 13
36: O:   <Text>	content:  X X 
36: ...done
36: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/unxlngi6.pro/misc/qa_complex_writer/user/user/test-temp/
36: Loading test document...
36: ...done
36: Checking bookmarks in loaded test document...
36: ...done
36: Checking sections in loaded test document...
36: ...done
36: Checking indexes in loaded test document...
36: ...done
36: Storing test document...
36: ...done
36: Loading test document...
36: ...done
36: Checking bookmarks in loaded test document...
36: ...done
36: Checking sections in loaded test document...
36: ...done
36: Checking indexes in loaded test document...
36: ...done
36: 
36: Time: 99.396
36: There was 1 failure:
36: 1) testEnd5(complex.writer.TextPortionEnumerationTest)
36: java.lang.AssertionError: expected:<0> but was:<1>
36: 	at org.junit.Assert.fail(Assert.java:91)
36: 	at org.junit.Assert.failNotEquals(Assert.java:645)
36: 	at org.junit.Assert.assertEquals(Assert.java:126)
36: 	at org.junit.Assert.assertEquals(Assert.java:470)
36: 	at org.junit.Assert.assertEquals(Assert.java:454)
36: 	at complex.writer.FuzzyTester.doTest(TextPortionEnumerationTest.java:475)
36: 	at
complex.writer.TextPortionEnumerationTest.doTest(TextPortionEnumerationTest.java:4116)
36: 	at
complex.writer.TextPortionEnumerationTest.doTest(TextPortionEnumerationTest.java:4083)
36: 	at
complex.writer.TextPortionEnumerationTest.testEnd5(TextPortionEnumerationTest.java:1902)
36: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
36: 	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
36: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
36: 	at java.lang.reflect.Method.invoke(Method.java:585)
36: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
36: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
36: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
36: 	at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
36: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
36: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
36: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
36: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
36: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
36: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
36: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
36: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
36: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
36: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
36: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
36: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
36: 	at org.junit.runners.Suite.runChild(Suite.java:128)
36: 	at org.junit.runners.Suite.runChild(Suite.java:24)
36: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
36: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
36: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
36: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
36: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
36: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
36: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
36: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
36: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
36: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
36: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
36: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
36: 
36: FAILURES!!!
36: Tests run: 83,  Failures: 1
36: 
36: dmake:  Error code 1, while making 'javatest'
failed in /net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sw/qa/complex/writer
Comment 17 Stephan Bergmann 2010-07-19 12:50:46 UTC
next problem with the above setup is that

  > cd framework/qa/complex/accelerators && OOO_SUBSEQUENT_TESTS=x dmake

fails on wntmsci12 (non-pro and pro) with

  Making:    qa_complex_accelerators.dpj
  javadeps
  dmake: Executing shell macro: ls
$(installationtest_instset)/OOo_*_install-arc_$(defaultlangiso).zip
  /tmp/mkt1i6Ei: line 3: @dmake: command not found
  dmake:  Error code 127, while making 'helper'
Comment 18 Stephan Bergmann 2010-07-19 13:35:53 UTC
... same with framework/qa/complex/dispatches
Comment 19 Stephan Bergmann 2010-07-19 14:19:47 UTC
... same with framework/qa/complex/imageManager
Comment 20 Stephan Bergmann 2010-07-19 15:14:15 UTC
... same with qadevOOo/qa/complex/junitskeleton
Comment 21 Stephan Bergmann 2010-07-19 16:10:08 UTC
... same with sc/qa/complex/dataPilot
Comment 22 Stephan Bergmann 2010-07-19 16:18:31 UTC
next problem with the above setup (under unxsoli4) is

[...]
23: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/standalonedocumentinfo
23: Making:    qa_complex_standalonedocumentinfo.dpj
23: 
23: Making:    qa_complex_standalonedocumentinfo.dpj
23: 
23: rm -f -r ../../../unxsoli4/misc/qa_complex_standalonedocumentinfo/user
23: mkdir -p ../../../unxsoli4/misc/qa_complex_standalonedocumentinfo/user
23: java  -classpath \
23:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxsoli4/class:.:/so/env/Solaris_JDK_1.5.0_06.intel/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/lib'
\
23:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/soffice
\
23:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/standalonedocumentinfo/../../../unxsoli4/misc/qa_complex_standalonedocumentinfo/user
\
23:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
23:         org.junit.runner.JUnitCore \
23:         complex.standalonedocumentinfo.StandaloneDocumentInfoUnitTest
23: JUnit version 4.8.1
23: setUpConnection()
23: 
23: Environment
23: 	$XENVIRONMENT     	""
23: 	$DISPLAY          	"sr1-eham02-01:98.0"
23: 	$SAL_VISUAL       	""
23: 	$SAL_FONTPATH     	""
23: 	$SAL_NOSEGV       	""
23: 	$SAL_IGNOREXERRORS	""
23: 	$SAL_PROPERTIES   	""
23: 	$SAL_WM           	""
23: 	$SAL_SYNCHRONIZE  	""
23: Client
23: 	Host              	"x42-so29"
23: Display
23: 	Host              	"sr1-eham02-01:98.0"
23: 	Vendor (Release)  	"The X.Org Group (6600)"
23: 	Protocol          	11.0
23: 	Screen (count,def)	0 (1,0)
23: 	shift ctrl alt    	Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
23: 	XMaxRequestSize   	262140 4194300 [bytes]
23: 	Properties        	0x1000FCB
23: Screen
23: 	Resolution/Size   	100*100 1024*768 12.8"
23: 	Black&White       	0 65535
23: 	RGB               	0xf800 0x7e0 0x1f
23: 	Visual            	16-bit TrueColor ID=0x22
23: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
23: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/standalonedocumentinfo/../../../unxsoli4/misc/qa_complex_standalonedocumentinfo/user/user/fonts/fc_local.conf"
23: 
23: Environment
23: 	$XENVIRONMENT     	""
23: 	$DISPLAY          	"sr1-eham02-01:98.0"
23: 	$SAL_VISUAL       	""
23: 	$SAL_FONTPATH     	""
23: 	$SAL_NOSEGV       	""
23: 	$SAL_IGNOREXERRORS	""
23: 	$SAL_PROPERTIES   	""
23: 	$SAL_WM           	""
23: 	$SAL_SYNCHRONIZE  	""
23: Client
23: 	Host              	"x42-so29"
23: Display
23: 	Host              	"sr1-eham02-01:98.0"
23: 	Vendor (Release)  	"The X.Org Group (6600)"
23: 	Protocol          	11.0
23: 	Screen (count,def)	0 (1,0)
23: 	shift ctrl alt    	Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
23: 	XMaxRequestSize   	262140 4194300 [bytes]
23: 	Properties        	0x1000FCB
23: Screen
23: 	Resolution/Size   	100*100 1024*768 12.8"
23: 	Black&White       	0 65535
23: 	RGB               	0xf800 0x7e0 0x1f
23: 	Visual            	16-bit TrueColor ID=0x22
23: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
23: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/standalonedocumentinfo/../../../unxsoli4/misc/qa_complex_standalonedocumentinfo/user/user/fonts/fc_local.conf"
23: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
23: Warning: no DefaultResolution in PPD
23: .Test01: ==============================
23: Test01: writer8
23: Test01: ==============================
23: Test01: New document initialized.
23: Test01: Set title: ODF_Doc
23: Test01: Error: Exception: com.sun.star.frame.IllegalArgumentIOException: 
23: EtearDownConnection()
23: 
23: Time: 9.234
23: There was 1 failure:
23: 1) ExecuteTest01(complex.standalonedocumentinfo.StandaloneDocumentInfoUnitTest)
23: java.lang.AssertionError: Test01 failed!
23: 	at org.junit.Assert.fail(Assert.java:91)
23: 	at org.junit.Assert.assertTrue(Assert.java:43)
23: 	at
complex.standalonedocumentinfo.StandaloneDocumentInfoUnitTest.ExecuteTest01(StandaloneDocumentInfoUnitTest.java:72)
23: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
23: 	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
23: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
23: 	at java.lang.reflect.Method.invoke(Method.java:585)
23: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
23: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
23: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
23: 	at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
23: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
23: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
23: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
23: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
23: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
23: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
23: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
23: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
23: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
23: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
23: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
23: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
23: 	at org.junit.runners.Suite.runChild(Suite.java:128)
23: 	at org.junit.runners.Suite.runChild(Suite.java:24)
23: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
23: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
23: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
23: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
23: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
23: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
23: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
23: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
23: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
23: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
23: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
23: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
23: 
23: FAILURES!!!
23: Tests run: 1,  Failures: 1
23: 
23: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/standalonedocumentinfo
Comment 23 Stephan Bergmann 2010-07-20 08:17:45 UTC
next problem with the above setup (under unxlngx6) is

[...]
12: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/linguistic/qa/complex/linguistic
12: rm -f -r ../../../unxlngx6/misc/qa_complex_linguistic/user
12: mkdir -p ../../../unxlngx6/misc/qa_complex_linguistic/user
12: java  -classpath \
12:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxlngx6/class:.:/so/env/Linux_JDK_1.5.0_15.x64/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/lib'
\
12:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/installation/opt/openoffice.org3/program/soffice
\
12:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/linguistic/qa/complex/linguistic/../../../unxlngx6/misc/qa_complex_linguistic/user
\
12:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
12:         org.junit.runner.JUnitCore \
12:         complex.linguistic.HangulHanjaConversion
12: JUnit version 4.8.1
12: setUpConnection()
12: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
12: 
12: Environment
12: 	$XENVIRONMENT     	""
12: 	$DISPLAY          	"sr1-eham02-01:98.0"
12: 	$SAL_VISUAL       	""
12: 	$SAL_FONTPATH     	""
12: 	$SAL_NOSEGV       	""
12: 	$SAL_IGNOREXERRORS	""
12: 	$SAL_PROPERTIES   	""
12: 	$SAL_WM           	""
12: 	$SAL_SYNCHRONIZE  	""
12: Client
12: 	Host              	"v20z-so3"
12: Display
12: 	Host              	"sr1-eham02-01:98.0"
12: 	Vendor (Release)  	"The X.Org Group (6600)"
12: 	Protocol          	11.0
12: 	Screen (count,def)	0 (1,0)
12: 	shift ctrl alt    	Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
12: 	XMaxRequestSize   	262140 4194300 [bytes]
12: 	Properties        	0x1000FCB
12: Screen
12: 	Resolution/Size   	100*100 1024*768 12.8"
12: 	Black&White       	0 65535
12: 	RGB               	0xf800 0x7e0 0x1f
12: 	Visual            	16-bit TrueColor ID=0x22
12: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
12: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/linguistic/qa/complex/linguistic/../../../unxlngx6/misc/qa_complex_linguistic/user/user/fonts/fc_local.conf"
12: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
12: 
12: Environment
12: 	$XENVIRONMENT     	""
12: 	$DISPLAY          	"sr1-eham02-01:98.0"
12: 	$SAL_VISUAL       	""
12: 	$SAL_FONTPATH     	""
12: 	$SAL_NOSEGV       	""
12: 	$SAL_IGNOREXERRORS	""
12: 	$SAL_PROPERTIES   	""
12: 	$SAL_WM           	""
12: 	$SAL_SYNCHRONIZE  	""
12: Client
12: 	Host              	"v20z-so3"
12: Display
12: 	Host              	"sr1-eham02-01:98.0"
12: 	Vendor (Release)  	"The X.Org Group (6600)"
12: 	Protocol          	11.0
12: 	Screen (count,def)	0 (1,0)
12: 	shift ctrl alt    	Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
12: 	XMaxRequestSize   	262140 4194300 [bytes]
12: 	Properties        	0x1000FCB
12: Screen
12: 	Resolution/Size   	100*100 1024*768 12.8"
12: 	Black&White       	0 65535
12: 	RGB               	0xf800 0x7e0 0x1f
12: 	Visual            	16-bit TrueColor ID=0x22
12: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
12: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/linguistic/qa/complex/linguistic/../../../unxlngx6/misc/qa_complex_linguistic/user/user/fonts/fc_local.conf"
12: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
12: Warning: no DefaultResolution in PPD
12: .Error: HangulHanjaOptionsDialog::OkHdl(): Any other exception From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/linguistic/source/convdiclist.cxx
at Line 332
12: Error: caught an exception!
12: in function:void SfxFrameLoader_Impl::impl_handleCaughtError_nothrow(const
com::sun::star::uno::Any&, const comphelper::NamedValueCollection&) const
12: type: com.sun.star.task.ErrorCodeIOException
12:  From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/view/frmload.cxx at
Line 441
12: EtearDownConnection()
12: 
12: Time: 10.57
12: There was 1 failure:
12: 1) ConversionDictionaryList(complex.linguistic.HangulHanjaConversion)
12: java.lang.NullPointerException
12: 	at
complex.linguistic.HangulHanjaConversion.getSheet(HangulHanjaConversion.java:253)
12: 	at
complex.linguistic.HangulHanjaConversion.checkXConversionDictionaryList(HangulHanjaConversion.java:129)
12: 	at
complex.linguistic.HangulHanjaConversion.ConversionDictionaryList(HangulHanjaConversion.java:89)
12: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
12: 	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
12: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
12: 	at java.lang.reflect.Method.invoke(Method.java:585)
12: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
12: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
12: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
12: 	at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
12: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
12: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
12: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
12: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
12: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
12: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
12: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
12: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
12: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
12: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
12: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
12: 	at org.junit.runners.Suite.runChild(Suite.java:128)
12: 	at org.junit.runners.Suite.runChild(Suite.java:24)
12: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
12: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
12: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
12: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
12: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
12: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
12: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
12: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
12: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
12: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
12: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
12: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
12: 
12: FAILURES!!!
12: Tests run: 1,  Failures: 1
12: 
12: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/linguistic/qa/complex/linguistic
Comment 24 Stephan Bergmann 2010-07-20 08:38:03 UTC
next problem with the above setup (under unxlngi6.pro) is

[...]
9: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/disposing
9: rm -f -r ../../../unxlngi6.pro/misc/qa_complex_disposing/user
9: mkdir -p ../../../unxlngi6.pro/misc/qa_complex_disposing/user
9: java  -classpath \
9:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxlngi6.pro/class:.:/so/env/Linux_JDK_1.5.0_06/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/lib'
\
9:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/soffice
\
9:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/disposing/../../../unxlngi6.pro/misc/qa_complex_disposing/user
\
9:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
9:         org.junit.runner.JUnitCore \
9:         complex.disposing.GetServiceWhileDisposingOffice
9: JUnit version 4.8.1
9: setUpConnection()
9: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/disposing/../../../unxlngi6.pro/misc/qa_complex_disposing/user/user/fonts/fc_local.conf"
9: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/disposing/../../../unxlngi6.pro/misc/qa_complex_disposing/user/user/fonts/fc_local.conf"
9: .Start the termination of the Office.
9: DisposedException in step: 5
9: tearDownConnection()
9: 
9: Time: 6.558
9: 
9: OK (1 test)
9: 
9: rm -f -r ../../../unxlngi6.pro/misc/qa_complex_disposing/user
9: rm: cannot remove directory
`../../../unxlngi6.pro/misc/qa_complex_disposing/user/user/extensions/bundled/registry/com.sun.star.comp.deployment.configuration.PackageRegistryBackend':
Directory not empty
9: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/disposing

with a crashed soffice.bin:

Program terminated with signal 11, Segmentation fault.
#0  0xb7626513 in rtl_uString_acquire () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
(gdb) where
#0  0xb7626513 in rtl_uString_acquire () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#1  0xb6f4c757 in cppu::getMappingName(com::sun::star::uno::Environment const&,
com::sun::star::uno::Environment const&, rtl::OUString const&) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3
#2  0xb6f4d2e8 in uno_registerMapping () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3
#3  0xb3630f28 in bridges::cpp_uno::shared::Bridge::acquire() () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/libgcc3_uno.so
#4  0xb3632455 in
bridges::cpp_uno::shared::UnoInterfaceProxy::UnoInterfaceProxy(bridges::cpp_uno::shared::Bridge*,
com::sun::star::uno::XInterface*, _typelib_InterfaceTypeDescription*,
rtl::OUString const&) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/libgcc3_uno.so
#5  0xb3632506 in
bridges::cpp_uno::shared::UnoInterfaceProxy::create(bridges::cpp_uno::shared::Bridge*,
com::sun::star::uno::XInterface*, _typelib_InterfaceTypeDescription*,
rtl::OUString const&) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/libgcc3_uno.so
#6  0xb3631176 in bridges::cpp_uno::shared::cpp2unoMapping(_uno_Mapping*,
void**, void*, _typelib_InterfaceTypeDescription*) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/libgcc3_uno.so
#7  0xb6f4949c in cppu::_copyConstructData(void*, void*,
_typelib_TypeDescriptionReference*, _typelib_TypeDescription*, void (*)(void*),
_uno_Mapping*) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3
#8  0xb6f41ca9 in uno_copyAndConvertData () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3
#9  0xb363082a in (anonymous
namespace)::cpp_call(bridges::cpp_uno::shared::UnoInterfaceProxy*,
bridges::cpp_uno::shared::VtableSlot, _typelib_TypeDescriptionReference*, long,
_typelib_MethodParameter*, void*, void**, _uno_Any**) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/libgcc3_uno.so
#10 0xb3630b7c in
bridges::cpp_uno::shared::unoInterfaceProxyDispatch(_uno_Interface*,
_typelib_TypeDescription const*, void*, void**, _uno_Any**) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/libgcc3_uno.so
#11 0xb134ed33 in thisDispatch () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/liburp_uno.so
#12 0xb134316f in bridges_urp::ServerMultiJob::execute() () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/liburp_uno.so
#13 0xb134396c in doit () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org/ure/lib/liburp_uno.so
#14 0xb6f5b108 in cppu_threadpool::JobQueue::enter(long long, unsigned char) ()
from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3
#15 0xb6f5bc4b in cppu_threadpool::ORequestThread::run() () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3
#16 0xb6f5c0ae in cppu_requestThreadWorker () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3
#17 0xb761217c in osl_thread_start_Impl () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#18 0xb70f896e in start_thread (arg=0xab947b70) at pthread_create.c:300
#19 0xb71dea4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
(gdb) disas
Dump of assembler code for function rtl_uString_acquire:
   0xb76264fe <+0>:     push   %ebp
   0xb76264ff <+1>:     mov    %esp,%ebp
   0xb7626501 <+3>:     push   %ebx
   0xb7626502 <+4>:     sub    $0x4,%esp
   0xb7626505 <+7>:     mov    0x8(%ebp),%eax
   0xb7626508 <+10>:    call   0xb760d137 <__i686.get_pc_thunk.bx>
   0xb762650d <+15>:    add    $0x187933,%ebx
=> 0xb7626513 <+21>:    testb  $0x40,0x3(%eax)
   0xb7626517 <+25>:    jne    0xb7626525 <rtl_uString_acquire+39>
   0xb7626519 <+27>:    sub    $0xc,%esp
   0xb762651c <+30>:    push   %eax
   0xb762651d <+31>:    call   0xb76112a4 <osl_incrementInterlockedCount>
   0xb7626522 <+36>:    add    $0x10,%esp
   0xb7626525 <+39>:    mov    -0x4(%ebp),%ebx
   0xb7626528 <+42>:    leave
   0xb7626529 <+43>:    ret
End of assembler dump.
(gdb) info reg
eax            0x1      1
ecx            0xab946cc0       -1416336192
edx            0xab946d18       -1416336104
ebx            0xb77ade40       -1216684480
esp            0xab946c40       0xab946c40
ebp            0xab946c48       0xab946c48
esi            0x1      1
edi            0xab946cc4       -1416336188
eip            0xb7626513       0xb7626513 <rtl_uString_acquire+21>
eflags         0x10292  [ AF SF IF RF ]
cs             0x73     115
ss             0x7b     123
ds             0x7b     123
es             0x7b     123
fs             0x0      0
gs             0x33     51
(gdb) info threads
  5 Thread 2002  0xb76112f8 in osl_decrementInterlockedCount () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
  4 Thread 2014  0xb77b6422 in __kernel_vsyscall ()
  3 Thread 2005  0xb77b6422 in __kernel_vsyscall ()
  2 Thread 2003  0xb77b6422 in __kernel_vsyscall ()
* 1 Thread 2022  0xb7626513 in rtl_uString_acquire () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
(gdb) thread 2
[Switching to thread 2 (Thread 2003)]#0  0xb77b6422 in __kernel_vsyscall ()
(gdb) where
#0  0xb77b6422 in __kernel_vsyscall ()
#1  0xb70fd342 in pthread_cond_timedwait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0xb71eba34 in __pthread_cond_timedwait (cond=0xb77b0ec4, mutex=0xb77b0d64,
abstime=0xb496836c) at forward.c:152
#3  0xb7633e6f in rtl_cache_wsupdate_all () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#4  0xb70f896e in start_thread (arg=0xb4968b70) at pthread_create.c:300
#5  0xb71dea4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
(gdb) thread 3
[Switching to thread 3 (Thread 2005)]#0  0xb77b6422 in __kernel_vsyscall ()
(gdb) where
#0  0xb77b6422 in __kernel_vsyscall ()
#1  0xb71dfab8 in accept () at ../sysdeps/unix/sysv/linux/i386/socket.S:97
#2  0xb761784e in osl_acceptPipe () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#3  0xb5f4f891 in vos::OPipe::accept(vos::OStreamPipe&) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/libvos3gcc3.so
#4  0xb75c77f4 in desktop::OfficeIPCThread::run() () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/libsofficeapp.so
#5  0xb5f4a164 in vos::threadWorkerFunction_impl(void*) () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/libvos3gcc3.so
#6  0xb761217c in osl_thread_start_Impl () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#7  0xb70f896e in start_thread (arg=0xb1f90b70) at pthread_create.c:300
#8  0xb71dea4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
(gdb) thread 4
[Switching to thread 4 (Thread 2014)]#0  0xb77b6422 in __kernel_vsyscall ()
(gdb) where
#0  0xb77b6422 in __kernel_vsyscall ()
#1  0xb71a8ce6 in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#2  0xb7611dfc in osl_waitThread () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#3  0xb090b2bb in (anonymous namespace)::OnLogRotateThread::run() () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/liboooimprovementli.so
#4  0xb090bbe0 in threadFunc () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/program/liboooimprovementli.so
#5  0xb761217c in osl_thread_start_Impl () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#6  0xb70f896e in start_thread (arg=0xadc6ab70) at pthread_create.c:300
#7  0xb71dea4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
(gdb) thread 5
[Switching to thread 5 (Thread 2002)]#0  0xb76112f8 in
osl_decrementInterlockedCount () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
(gdb) where
#0  0xb76112f8 in osl_decrementInterlockedCount () from
/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
#1  0xbff456e8 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Also, the code in
framework/qa/complex/disposing/GetServiceWhileDisposingOffice.java has the
following two problems:
1  It calls connection.setUp(), but not connection.tearDown(), so misses all the
important things in tearDown apart from calling XDesktop.terminate (in
particular, not joining on the terminated soffice, so causing a race when
solenv/inc/installationtest.mk removes the OOo user installation while OOo is
still running).
2  It does not take into account the fix for issue 112519, which demands not to
terminate OOo (and thus implies not to exercise this test) under
OOO_TEST_SOFFICE=connect:...
Comment 25 Stephan Bergmann 2010-07-20 15:39:29 UTC
next problem with the above setup (under unxlngx6; with
<http://hg.services.openoffice.org/cws/sb123/rev/7f88340bebfe> to address
<#desc14>) is

[...]
9: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/loadAllDocuments
9: Making:    qa_complex_loadAllDocuments.dpj
9: 
9: cd helper; dmake subdmake=true  
9: javac -classpath
".:../../../unxlngx6/class:.:/so/env/Linux_JDK_1.5.0_15.x64/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/lib"
-d ../../../unxlngx6/class -target 1.5 @/tmp/mk34nCSi
9: Note: CheckXComponentLoader.java uses unchecked or unsafe operations.
9: Note: Recompile with -Xlint:unchecked for details.
9: Making:    qa_complex_loadAllDocuments.dpj
9: 
9: rm -f -r ../../../unxlngx6/misc/qa_complex_loadAllDocuments/user
9: mkdir -p ../../../unxlngx6/misc/qa_complex_loadAllDocuments/user
9: java  -classpath \
9:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxlngx6/class:.:/so/env/Linux_JDK_1.5.0_15.x64/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/lib'
\
9:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/installation/opt/openoffice.org3/program/soffice
\
9:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/../../../unxlngx6/misc/qa_complex_loadAllDocuments/user
\
9:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
9:         org.junit.runner.JUnitCore \
9:         complex.loadAllDocuments.CheckXComponentLoader
9: JUnit version 4.8.1
9: setUpConnection()
9: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
9: 
9: Environment
9: 	$XENVIRONMENT     	""
9: 	$DISPLAY          	"sr1-eham02-01:98.0"
9: 	$SAL_VISUAL       	""
9: 	$SAL_FONTPATH     	""
9: 	$SAL_NOSEGV       	""
9: 	$SAL_IGNOREXERRORS	""
9: 	$SAL_PROPERTIES   	""
9: 	$SAL_WM           	""
9: 	$SAL_SYNCHRONIZE  	""
9: Client
9: 	Host              	"v20z-so3"
9: Display
9: 	Host              	"sr1-eham02-01:98.0"
9: 	Vendor (Release)  	"The X.Org Group (6600)"
9: 	Protocol          	11.0
9: 	Screen (count,def)	0 (1,0)
9: 	shift ctrl alt    	Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
9: 	XMaxRequestSize   	262140 4194300 [bytes]
9: 	Properties        	0x1000FCB
9: Screen
9: 	Resolution/Size   	100*100 1024*768 12.8"
9: 	Black&White       	0 65535
9: 	RGB               	0xf800 0x7e0 0x1f
9: 	Visual            	16-bit TrueColor ID=0x22
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/../../../unxlngx6/misc/qa_complex_loadAllDocuments/user/user/fonts/fc_local.conf"
9: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
9: 
9: Environment
9: 	$XENVIRONMENT     	""
9: 	$DISPLAY          	"sr1-eham02-01:98.0"
9: 	$SAL_VISUAL       	""
9: 	$SAL_FONTPATH     	""
9: 	$SAL_NOSEGV       	""
9: 	$SAL_IGNOREXERRORS	""
9: 	$SAL_PROPERTIES   	""
9: 	$SAL_WM           	""
9: 	$SAL_SYNCHRONIZE  	""
9: Client
9: 	Host              	"v20z-so3"
9: Display
9: 	Host              	"sr1-eham02-01:98.0"
9: 	Vendor (Release)  	"The X.Org Group (6600)"
9: 	Protocol          	11.0
9: 	Screen (count,def)	0 (1,0)
9: 	shift ctrl alt    	Shift_L (0xFFE1) Control_L (0xFFE3) Alt_L (0xFFE9)
9: 	XMaxRequestSize   	262140 4194300 [bytes]
9: 	Properties        	0x1000FCB
9: Screen
9: 	Resolution/Size   	100*100 1024*768 12.8"
9: 	Black&White       	0 65535
9: 	RGB               	0xf800 0x7e0 0x1f
9: 	Visual            	16-bit TrueColor ID=0x22
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngx6/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
9: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/../../../unxlngx6/misc/qa_complex_loadAllDocuments/user/user/fonts/fc_local.conf"
9: Error: ImageAryData::Load: failed to load image
'res/commandimagelist/sc_findtext.png' From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/gdi/image.cxx at Line 561
9: Warning: no DefaultResolution in PPD
9: .Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
9:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/testdocuments/pic.gif"]
expected result [VALID_DOC] 
9: External progress was not used for loading.
9:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/testdocuments/Writer6.sxw"]
expected result [VALID_DOC] 
9: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
9:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/testdocuments/draw1.sxd"]
expected result [VALID_DOC] 
9: Error: caught an exception!
9: in function:void SfxFrameLoader_Impl::impl_handleCaughtError_nothrow(const
com::sun::star::uno::Any&, const comphelper::NamedValueCollection&) const
9: type: com.sun.star.task.ErrorCodeIOException
9:  From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/view/frmload.cxx at
Line 441
9: E.Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9: Error: Unknown item detected: 6634 From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/appuno.cxx at
Line 1213
9:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/unxlngx6/misc/qa_complex_loadAllDocuments/user/user/test-temp/password_0.sxw"]
expected result [VALID_DOC] 
9: .This system's encoding: ASCII
9: ENC[US-ASCII]
9:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/testdocuments/Writer6.sxw"]
expected result [VALID_DOC] 
9: ENC[ISO-8859-1]
9:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/testdocuments/Writer6.sxw"]
expected result [VALID_DOC] 
9: ENC[UTF-8]
9:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/testdocuments/Writer6.sxw"]
expected result [VALID_DOC] 
9: ENC[UTF-16BE]
9: URL["??????????????????????????????????????????????????????????"] expected
result [ILLEGALARGUMENTEXCEPTION] 
9: ENC[UTF-16LE]
9: URL["??????????????????????????????????????????????????????????"] expected
result [ILLEGALARGUMENTEXCEPTION] 
9: ENC[UTF-16]
9: URL["??????????????????????????????????????????????????????????"] expected
result [ILLEGALARGUMENTEXCEPTION] 
9: .Error: Assertion failed
9: ==================
9: FILE      : 
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/source/filter/ascii/parasc.cxx
at line 294
9: ERROR :  "Autodetect of text import without nag dialog must " "have failed"
9: URL["private:stream"] expected result [VALID_DOC] 
9: URL["private:stream"] expected result [VALID_DOC] 
9: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
9: URL["private:stream"] expected result [VALID_DOC] 
9: Error: GetFieldUnit(): no item From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/source/appl/module.cxx at
Line 433
9: URL["private:stream"] expected result [VALID_DOC] 
9: URL["private:stream"] expected result [VALID_DOC] 
9: Error: Assertion failed
9: ==================
9: FILE      : 
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sw/source/filter/ascii/parasc.cxx
at line 294
9: ERROR :  "Autodetect of text import without nag dialog must " "have failed"
9: URL["private:stream"] expected result [VALID_DOC] 
9: Error: Didnt't find property: draw:flow-with-text, assuming
<style:graphic-properties> From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/xmloff/source/transform/StyleOOoTContext.cxx
at Line 373
9: Error: Didnt't find property: style:keep-together, assuming
<style:paragraph-properties> From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/xmloff/source/transform/StyleOOoTContext.cxx
at Line 373
9: URL["private:stream"] expected result [VALID_DOC] 
9: tearDownConnection()
9: Error: DeInitVCL: some top Windows are still alive
9: text = "" type = "10WorkWindow"
9: text = "" type = "10WorkWindow"
9: text = "" type = "10WorkWindow"
9: text = "" type = "10WorkWindow"
9:  From File
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/vcl/source/app/svmain.cxx at Line 374
9: 
9: Time: 26.288
9: There was 1 failure:
9: 1) checkUsingOfMediaDescriptor(complex.loadAllDocuments.CheckXComponentLoader)
9: java.lang.AssertionError:
URL["file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/framework/qa/complex/loadAllDocuments/testdocuments/imp1.sxi"]
unexpected result [EMPTY_DOC] 
9: required was [VALID_DOC]
9: we got       [EMPTY_DOC]
9: 	at org.junit.Assert.fail(Assert.java:91)
9: 	at
complex.loadAllDocuments.CheckXComponentLoader.loadURL(CheckXComponentLoader.java:684)
9: 	at
complex.loadAllDocuments.CheckXComponentLoader.checkUsingOfMediaDescriptor(CheckXComponentLoader.java:293)
9: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
9: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
9: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
9: 	at java.lang.reflect.Method.invoke(Method.java:585)
9: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
9: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
9: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
9: 	at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
9: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
9: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
9: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
9: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
9: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
9: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
9: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
9: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
9: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
9: 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
9: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
9: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
9: 	at org.junit.runners.Suite.runChild(Suite.java:128)
9: 	at org.junit.runners.Suite.runChild(Suite.java:24)
9: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
9: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
9: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
9: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
9: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
9: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
9: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
9: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
9: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
9: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
9: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
9: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
9: 
9: FAILURES!!!
9: Tests run: 4,  Failures: 1
9: 
9: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/framework/qa/complex/loadAllDocuments
Comment 26 Stephan Bergmann 2010-07-23 11:10:39 UTC
next problem with the above setup (under unxlngx6; after upgrading to DEV300_m85) is

32: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/framework
32: Making:    qa_complex_framework.dpj
32: 
32: cd DocHelper; dmake subdmake=true  
32: Making:    DocHelper.dpj
32: 
32: javac -classpath
".:../../../../unxlngi6.pro/class:.:/so/env/Linux_JDK_1.5.0_06/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/unoil.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/jurt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/juh.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/java_uno.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/OOoRunner.jar::/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/lib"
-d ../../../../unxlngi6.pro/class -target 1.5 @/tmp/mkyaOMtr
32: dmake:  Warning: -- Target
[../../../../unxlngi6.pro/misc/DocHelper_dummy.java] was made but the time stamp
has not been updated.
32: Making:    DocHelper.dpj
32: 
32: javac -classpath
".:../../../unxlngi6.pro/class:.:/so/env/Linux_JDK_1.5.0_06/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/lib"
-d ../../../unxlngi6.pro/class -target 1.5 @/tmp/mkEKruwe
32: Note: Some input files use unchecked or unsafe operations.
32: Note: Recompile with -Xlint:unchecked for details.
32: dmake:  Warning: -- Target
[../../../unxlngi6.pro/misc/qa_complex_framework_dummy.java] was made but the
time stamp has not been updated.
32: Making:    qa_complex_framework.dpj
32: 
32: rm -f -r ../../../unxlngi6.pro/misc/qa_complex_framework/user
32: mkdir -p ../../../unxlngi6.pro/misc/qa_complex_framework/user
32: java  -classpath \
32:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxlngi6.pro/class:.:/so/env/Linux_JDK_1.5.0_06/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/lib'
\
32:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/soffice
\
32:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxlngi6.pro/misc/qa_complex_framework/user
\
32:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
32:         org.junit.runner.JUnitCore \
32:         complex.framework.DocumentPropertiesTest
complex.framework.DocumentMetadataAccessTest
complex.framework.CheckGlobalEventBroadcaster_writer1
32: JUnit version 4.8.1
32: setUpConnection()
32: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxlngi6.pro/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
32: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxlngi6.pro/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
32: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/unxlngi6.pro/misc/qa_complex_framework/user/user/test-temp/
32: Creating service DocumentProperties...
32: ...done
32: Checking initialize ...
32: ...done
32: Checking storing default-initialized meta data ...
32: ...done
32: Checking loading default-initialized meta data ...
32: ...done
32: (Not) Checking preservation of custom meta data ...
32: ...done
32: Checking loading from test document...
32: ...done
32: Checking meta-data import...
32: ...done
32: Checking meta-data updates...
32: ...done
32: Checking user-defined meta-data updates...
32: ...done
32: Checking storing meta-data to file...
32: ...done
32: Checking loading meta-data from stored file...
32: ...done
32: Checking user-defined meta-data from stored file...
32: ...done
32: Checking notification listener interface...
32: ...done
32: tearDownConnection() DocumentPropertiesTest
32: setUpConnection()
32: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxlngi6.pro/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
32: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/unxlngi6.pro/misc/qa_complex_framework/user/user/test-temp/
32: Creating document with Repository...
32: ...done
32: Checking that new repository is initialized...
32: ...done
32: Checking some invalid args...
32: ...done
32: Checking file addition/removal...
32: ...done
32: Checking mapping...
32: ...done
32: Checking storing and loading...
32: ...done
32: Checking storing and loading via model...
32: ...done
32: .tempdir:
file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/unxlngi6.pro/misc/qa_complex_framework/user/user/test-temp/
32: Loading test document...
32: ...done
32: Checking RDFa in loaded test document...
32: ...done
32: Storing test document...
32: ...done
32: Loading test document...
32: ...done
32: Checking RDFa in loaded test document...
32: ...done
32: tearDownConnection() DocumentMetadataAccessTest
32: setUpConnection()
32: Xlib:  extension "RANDR" missing on display "sr1-eham02-01:98.0".
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxlngi6.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
32: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/framework/../../../unxlngi6.pro/misc/qa_complex_framework/user/user/fonts/fc_local.conf"
32: .check wether there is a valid MultiServiceFactory
32: ... done
32: Create an instance of com.sun.star.frame.GlobalEventBroadcaster
32: ... done
32: check wether the created instance is valid
32: ... done
32: try to query the XEventBroadcaster from the gained Object
32: ... done
32: adding Listener
32: ... done
32: -- Checking Writer --
32: opening an empty writer doc
32: Fired Events:
32: 	- OnCreate
32: 	- OnStorageChanged
32: 	- OnTitleChanged
32: 	- OnUnfocus
32: 	- OnFocus
32: 	- OnViewCreated
32: 	- OnPageCountChange
32: 	- OnNew
32: 	- OnLayoutFinished
32: 	- OnLayoutFinished
32: ... done
32: changing the writer doc
32: Fired Events:
32: 	- OnTitleChanged
32: 	- OnModifyChanged
32: ... done
32: closing the empty writer doc
32: Fired Events:
32: 	- OnTitleChanged
32: 	- OnViewClosed
32: 	- OnUnload
32: 	- OnUnfocus
32: 	- OnFocus
32: ... done
32: opening an writer doc via Window-New Window
32: Fired Events:
32: 	- OnCreate
32: 	- OnStorageChanged
32: 	- OnTitleChanged
32: 	- OnUnfocus
32: 	- OnFocus
32: 	- OnViewCreated
32: 	- OnPageCountChange
32: 	- OnNew
32: 	- OnUnfocus
32: 	- OnFocus
32: 	- OnViewCreated
32: 	- OnPageCountChange
32: 	- OnLayoutFinished
32: ... done
32: closing the created writer doc
32: Fired Events:
32: 	- OnViewClosed
32: 	- OnTitleChanged
32: 	- OnViewClosed
32: 	- OnUnload
32: 	- OnUnfocus
32: The event OnFocus isn't fired
32: removing Listener
32: ... done
32: EtearDownConnection() CheckGlobalEventBroadcaster_writer1
32: 
32: Time: 34.633
32: There was 1 failure:
32: 1) checkWriter(complex.framework.CheckGlobalEventBroadcaster_writer1)
32: java.lang.AssertionError: Wrong events fired when closing Window-New Window
32: 	at org.junit.Assert.fail(Assert.java:91)
32: 	at org.junit.Assert.assertTrue(Assert.java:43)
32: 	at
complex.framework.CheckGlobalEventBroadcaster_writer1.checkWriter(CheckGlobalEventBroadcaster_writer1.java:172)
32: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
32: 	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
32: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
32: 	at java.lang.reflect.Method.invoke(Method.java:585)
32: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
32: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
32: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
32: 	at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
32: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
32: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
32: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
32: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
32: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
32: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
32: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
32: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
32: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
32: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
32: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
32: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
32: 	at org.junit.runners.Suite.runChild(Suite.java:128)
32: 	at org.junit.runners.Suite.runChild(Suite.java:24)
32: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
32: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
32: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
32: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
32: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
32: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
32: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
32: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
32: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
32: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
32: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
32: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
32: 
32: FAILURES!!!
32: Tests run: 4,  Failures: 1
32: 
32: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/framework
Comment 27 Stephan Bergmann 2010-07-23 11:13:39 UTC
please ignore <#desc27>, same as <#desc12>
Comment 28 lars.langhans 2010-07-23 11:32:56 UTC
I fixed all "do not run through" qa/complex tests by remark it in prj/build.lst.
Please do not remove these comment lines.

Comment 29 lars.langhans 2010-07-23 11:42:09 UTC
please remove any not running qa/complex test by remark it with comment in the
prj/build.lst.
Comment 30 Stephan Bergmann 2010-07-27 13:27:19 UTC
next problem with the above setup (under unxsoli4.pro; after upgrading to
DEV300_m85) is in sfx2/qa/complex/docinfo, disabled again for now as
<http://hg.services.openoffice.org/cws/sb123/rev/1abc7ff7fb30>:

[...]
21: make
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/docinfo
21: Making:    qa_complex_docinfo.dpj
21: 
21: Making:    qa_complex_docinfo.dpj
21: 
21: rm -f -r ../../../unxsoli4.pro/misc/qa_complex_docinfo/user
21: mkdir -p ../../../unxsoli4.pro/misc/qa_complex_docinfo/user
21: java  -classpath \
21:        
'/so/env/btools/junit-4.8.1.jar:.:../../../unxsoli4.pro/class:.:/so/env/Solaris_JDK_1.5.0_06.intel/jre/lib/rt.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/OOoRunner.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/ridl.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/test.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/bin/unoil.jar:/so/env/btools/junit-4.8.1.jar:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/lib'
\
21:        
-Dorg.openoffice.test.arg.soffice=path:/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/installation/opt/openoffice.org3/program/soffice
\
21:        
-Dorg.openoffice.test.arg.user=file:///net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/docinfo/../../../unxsoli4.pro/misc/qa_complex_docinfo/user
\
21:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
21:         org.junit.runner.JUnitCore \
21:         complex.docinfo.DocumentProperties
21: JUnit version 4.8.1
21: setUpConnection()
21: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
21: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/docinfo/../../../unxsoli4.pro/misc/qa_complex_docinfo/user/user/fonts/fc_local.conf"
21: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/unxsoli4.pro/installation/opt/openoffice.org3/program/../basis-link/share/fonts/type1/fc_local.conf"
21: Fontconfig error: Cannot load config file
"/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/sfx2/qa/complex/docinfo/../../../unxsoli4.pro/misc/qa_complex_docinfo/user/user/fonts/fc_local.conf"
21: .check wether there is a valid MultiServiceFactory
21: ... done
21: Opening a Writer document
21: ... done
21: Trying to add a existing property
21: 	Couldn't get Property Author
21: 	Message com.sun.star.beans.PropertyExistException: The property "Author" 
already exists as a fix property. Please have a look into the IDL documentation
of the DocumentInfo service.
21: ...done
21: Trying to add a integer property
21: ...done
21: Trying to add a double property
21: ...done
21: Trying to add a boolean property
21: ...done
21: Trying to add a date property
21: ...done
21: trying to remove a read only Property
21: 	Exception was thrown com.sun.star.beans.NotRemoveableException: 
21: 	...OK
21: ...done
21: Property #0: Name<Author> Handle<525> Type[string] Attributes<0>
21: Property #1: Name<AutoloadEnabled> Handle<45> Type[boolean] Attributes<0>
21: Property #2: Name<AutoloadSecs> Handle<47> Type[long] Attributes<0>
21: Property #3: Name<AutoloadURL> Handle<46> Type[string] Attributes<0>
21: Property #4: Name<CreationDate> Handle<555> Type[com.sun.star.util.DateTime]
Attributes<MAYBEVOID|0>
21: Property #5: Name<DefaultTarget> Handle<48> Type[string] Attributes<0>
21: Property #6: Name<Description> Handle<19> Type[string] Attributes<0>
21: Property #7: Name<DocumentStatistic> Handle<51>
Type[[]com.sun.star.beans.NamedValue] Attributes<0>
21: Property #8: Name<EditingCycles> Handle<21> Type[short] Attributes<0>
21: Property #9: Name<EditingDuration> Handle<22> Type[long] Attributes<0>
21: Property #10: Name<Generator> Handle<5340> Type[string] Attributes<0>
21: Property #11: Name<Keywords> Handle<650> Type[string] Attributes<0>
21: Property #12: Name<Language> Handle<52> Type[com.sun.star.lang.Locale]
Attributes<0>
21: Property #13: Name<MIMEType> Handle<544> Type[string] Attributes<READONLY|0>
21: Property #14: Name<ModifiedBy> Handle<24> Type[string] Attributes<0>
21: Property #15: Name<ModifyDate> Handle<556> Type[com.sun.star.util.DateTime]
Attributes<MAYBEVOID|0>
21: Property #16: Name<PrintDate> Handle<40> Type[com.sun.star.util.DateTime]
Attributes<MAYBEVOID|0>
21: Property #17: Name<PrintedBy> Handle<42> Type[string] Attributes<0>
21: Property #18: Name<Subject> Handle<27> Type[string] Attributes<0>
21: Property #19: Name<Template> Handle<28> Type[string] Attributes<0>
21: Property #20: Name<TemplateFileName> Handle<5660> Type[string] Attributes<0>
21: Property #21: Name<TemplateDate> Handle<43> Type[com.sun.star.util.DateTime]
Attributes<MAYBEVOID|0>
21: Property #22: Name<Title> Handle<526> Type[string] Attributes<0>
21: Property #23: Name<booleanValue> Handle<-1> Type[boolean]
Attributes<REMOVEABLE|0>
21: Property #24: Name<dateValue> Handle<-1> Type[com.sun.star.util.Date]
Attributes<REMOVEABLE|0>
21: Property #25: Name<doubleValue> Handle<-1> Type[double] Attributes<REMOVEABLE|0>
21: Property #26: Name<intValue> Handle<-1> Type[long] Attributes<READONLY|0>
21: Storing the document
21: EtearDownConnection()
21: 
21: Time: 8.961
21: There was 1 failure:
21: 1) checkDocInfo(complex.docinfo.DocumentProperties)
21: java.lang.AssertionError: Couldn't store document
21: 	at org.junit.Assert.fail(Assert.java:91)
21: 	at complex.docinfo.DocumentProperties.checkDocInfo(DocumentProperties.java:152)
21: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
21: 	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
21: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
21: 	at java.lang.reflect.Method.invoke(Method.java:585)
21: 	at
org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
21: 	at
org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
21: 	at
org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
21: 	at
org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
21: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
21: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:76)
21: 	at
org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
21: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
21: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
21: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
21: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
21: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
21: 	at
org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
21: 	at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
21: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
21: 	at org.junit.runners.Suite.runChild(Suite.java:128)
21: 	at org.junit.runners.Suite.runChild(Suite.java:24)
21: 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
21: 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
21: 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
21: 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
21: 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
21: 	at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
21: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
21: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
21: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
21: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
21: 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
21: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
21: 
21: FAILURES!!!
21: Tests run: 1,  Failures: 1
21: 
21: dmake:  Error code 1, while making 'javatest'
failed in
/net/so-cwsserv02/export/cws/sb127/DEV300/ooo/../ooo/sfx2/qa/complex/docinfo
Comment 31 lars.langhans 2010-08-23 09:51:53 UTC
All subdir components from makefile has been removed
<http://hg.services.openoffice.org/cws/sb123/rev/1d38de3f17d4>

- Lot of files has been moved therefore
- Lot of files has been adaped to use the non-subdir flat structure
Comment 32 Stephan Bergmann 2010-09-21 10:48:50 UTC
next problem is that
<http://termite.services.openoffice.org/buildbot/builders/Ubuntu-9.04-i386/builds/2731>
once failed when executing framework/qa/complex/desktop; disabled that directory
again as <http://hg.services.openoffice.org/cws/sb123/rev/a71658c59801>

8: make /buildbot/buildslave/Ubuntu-Sun/workdir/framework/qa/complex/desktop
8: Making:    qa_complex_desktop.dpj
8: 
8: /usr/lib/jvm/java-6-sun/bin/javac -classpath
".:../../../unxlngi6.pro/class:/usr/lib/jvm/java-6-sun/jre/lib/rt.jar:.:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/OOoRunner.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/ridl.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/test.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/unoil.jar:/usr/share/java/junit4.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/lib"
-d ../../../unxlngi6.pro/class  @/tmp/mkpt9cFE
8: Making:    qa_complex_desktop.dpj
8: 
8: rm -f -r ../../../unxlngi6.pro/misc/qa_complex_desktop/user
8: mkdir -p ../../../unxlngi6.pro/misc/qa_complex_desktop/user
8: /usr/lib/jvm/java-6-sun/bin/java  -classpath \
8:        
'/usr/share/java/junit4.jar:.:../../../unxlngi6.pro/class:/usr/lib/jvm/java-6-sun/jre/lib/rt.jar:.:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/OOoRunner.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/ridl.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/test.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/bin/unoil.jar:/usr/share/java/junit4.jar:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/lib'
\
8:        
-Dorg.openoffice.test.arg.soffice=path:/buildbot/buildslave/Ubuntu-Sun/workdir/solver/300/unxlngi6.pro/installation/opt/openoffice.org3/program/soffice
\
8:        
-Dorg.openoffice.test.arg.user=file:///buildbot/buildslave/Ubuntu-Sun/workdir/framework/qa/complex/desktop/../../../unxlngi6.pro/misc/qa_complex_desktop/user
\
8:        
-Dorg.openoffice.test.arg.env=LD_LIBRARY_PATH"${LD_LIBRARY_PATH+=$LD_LIBRARY_PATH}"
 \
8:         org.junit.runner.JUnitCore \
8:         complex.desktop.DesktopTerminate
8: JUnit version 4.3.1
8: setUpConnection()
8: Xlib:  extension "RANDR" missing on display ":2.0".
8: Xlib:  extension "Generic Event Extension" missing on display ":2.0".
8: Xlib:  extension "Generic Event Extension" missing on display ":2.0".
8: Xlib:  extension "Generic Event Extension" missing on display ":2.0".
8: .Connect the first time.
8: com.sun.star.lang.DisposedException: java.io.EOFException
8: 	at
com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge$MessageDispatcher.run(java_remote_bridge.java:158)
8: EtearDownConnection()
8: 
8: Time: 17.706
8: There was 1 failure:
8: 1) checkPersistentWindowState(complex.desktop.DesktopTerminate)
8: java.lang.AssertionError: Cannot dispose the Office.
8: 	at org.junit.Assert.fail(Assert.java:71)
8: 	at complex.desktop.DesktopTerminate.disconnect(DesktopTerminate.java:166)
8: 	at
complex.desktop.DesktopTerminate.checkPersistentWindowState(DesktopTerminate.java:112)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
8: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
8: 	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
8: 	at java.lang.reflect.Method.invoke(Method.java:597)
8: 	at
org.junit.internal.runners.TestMethodRunner.executeMethodBody(TestMethodRunner.java:99)
8: 	at
org.junit.internal.runners.TestMethodRunner.runUnprotected(TestMethodRunner.java:81)
8: 	at
org.junit.internal.runners.BeforeAndAfterRunner.runProtected(BeforeAndAfterRunner.java:34)
8: 	at
org.junit.internal.runners.TestMethodRunner.runMethod(TestMethodRunner.java:75)
8: 	at org.junit.internal.runners.TestMethodRunner.run(TestMethodRunner.java:45)
8: 	at
org.junit.internal.runners.TestClassMethodsRunner.invokeTestMethod(TestClassMethodsRunner.java:66)
8: 	at
org.junit.internal.runners.TestClassMethodsRunner.run(TestClassMethodsRunner.java:35)
8: 	at
org.junit.internal.runners.TestClassRunner$1.runUnprotected(TestClassRunner.java:42)
8: 	at
org.junit.internal.runners.BeforeAndAfterRunner.runProtected(BeforeAndAfterRunner.java:34)
8: 	at org.junit.internal.runners.TestClassRunner.run(TestClassRunner.java:52)
8: 	at org.junit.internal.runners.CompositeRunner.run(CompositeRunner.java:29)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:130)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:109)
8: 	at org.junit.runner.JUnitCore.run(JUnitCore.java:100)
8: 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:81)
8: 	at org.junit.runner.JUnitCore.main(JUnitCore.java:44)
8: 
8: FAILURES!!!
8: Tests run: 1,  Failures: 1
8: 
8: dmake:  Error code 1, while making 'javatest'
failed in /buildbot/buildslave/Ubuntu-Sun/workdir/framework/qa/complex/desktop
Comment 33 Stephan Bergmann 2010-10-04 08:06:19 UTC
The remaining qa/complex tests appear to be stable enough to be included in
subsequenttests.
Comment 34 Stephan Bergmann 2010-10-04 08:07:19 UTC
.
Comment 35 Stephan Bergmann 2010-10-25 12:17:58 UTC
.